const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Tabs,Badge} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;
const { toChinesNum } = ecodeSDK.imp(util);

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("totOnlineStore")
@observer
class TotOnline extends React.Component {
  constructor(props) {
    super(props);  
    this.state = {
      currentValue:{},
      showMoreData1:false,
    }
    this.totEdit = this.totEdit.bind(this)
    this.showMoreData = this.showMoreData.bind(this)
    this.hideMoreData = this.hideMoreData.bind(this)
  }


  componentDidMount(){
    document.title = 'TOT在线'
    const { totOnlineStore } = this.props;
    totOnlineStore.initData();
    const {getLabel} =  totOnlineStore;
    getLabel()
  }

  totEdit(){
    location.href="/spa/custom/static4mobile/index.html#/cs/app/992a988e2cee4834a5a850adb091d112_TotEdit?em_auth_userid=273381"
  }
  showMoreData(){
    this.setState({showMoreData1:true});
  }
  hideMoreData(){
    this.setState({showMoreData1:false});
  }

  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const { totOnlineStore } = this.props;
    const { loading, hasRight,mainList,gpList,jzList,lyList,onlineData,empData} = totOnlineStore; // 从后台取数据 和 方法
    console.log(444444,Array.from(mainList))
    const {mainTable={}} = Array.from(mainList).length && Array.from(mainList)[0];
    const { bqmc='',tot='',yl=''} = Object.keys(mainTable).length&&mainTable;
    const { cg='',xybjh='',knjsk='',cjsj='',fj=''} = jzList;
    const bqmcList = bqmc.split(',');
    const {JOBTITLENAME='',LASTNAME='',avatar='',empID=''} = empData;
    const {currentValue} = this.state;
    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }
    const gpListArr = Array.from(gpList)
    gpListArr.forEach((item)=>{
      item.title = <Badge className={item.mainTable.wczt=='已完成'?'tabTitle':item.mainTable.wczt=='进行中'?'tabTitleB':'tabTitleC'}>
            <div><img src={item.mainTable.wczt=='未开始'?'${appRes}/unStarted.png':item.mainTable.wczt=='进行中'?'${appRes}/pending.png':'${appRes}/finished.png'}/></div>
            <div>{item.mainTable.gpmc}</div>
          </Badge>
    })

    return (
          <div key="totOnlineRoutePage" className="totonline-route-layout">
            <div className="totline-content-container" style={{height:'100vh'}}>
              <div className='wrapper'>
                <div className='profile'  style={{flex:1.4}}> <img src={avatar}/> </div>
                <div style={{flex:1.9}}>
                  <div>
                    <div>{LASTNAME}</div>
                    <div>看看TA的JD</div>
                  </div>
                  <div>{JOBTITLENAME}</div>
                </div>
                <div className='edit'>
                 <div onClick={this.totEdit}>
                  <img src='${appRes}/edit.png'/> 
                  编辑
                 </div> 
                </div>
              </div>
              {!!mainList.length&&<div className='contentWrapper'>
                <div className='content'>
                  <div>TOT</div>
                  <div>{tot}</div>
                </div>
                <div className='icon'>
                  {bqmcList.map((value)=><div>{value}</div>)}                
                </div>
                <div className='content'>
                  <div>月亮</div>
                  <div>{yl}</div>
                </div>
                <div className='guPai'>
                  <div className='title'>骨牌</div>
                      <Tabs tabs={gpListArr}
                        // initialPage={0}
                        usePaged={true}
                        onTabClick={(tab, index) => {this.setState({currentValue:tab})}}
                      >
                        {gpListArr.map((value,index)=>(<div style={{ display: 'flex', alignItems: 'center', justifyContent: 'center', height: '150px', backgroundColor: '#fff' }}>
                          <div className='tabContent'>
                            <div>
                              <div>骨牌{toChinesNum(index+1)}</div>
                              <div>{value.mainTable.gpmc}</div>
                            </div> 
                             <div>
                              <div>完成时间</div>
                              <div>{value.mainTable.yjwcsj}</div>
                            </div> 
                             <div>
                              <div>动作</div>
                              <div>{value.mainTable.gjdz}</div>
                            </div> 
                          </div>
                        </div>))}
                      </Tabs>
                </div>

                <div className='jinZhan'>
                  <div style={{display:'flex',width:'94%',margin:'0 auto',justifyContent:'space-between',height:'40px',lineHeight:'40px'}}>
                   <div  style={{color:'rgba(52, 124, 175, 1)',fontSize:'14px'}}>本周进展</div>
                   <div style={{color:'rgba(154, 154, 154, 1)'}}>{cjsj}</div>
                  </div>
                    <div className='titleContent'>{cg}</div>
                  <div className='title'>下周计划</div>
                    <div className='titleContent'>{xybjh}</div>
                  <div className='title'>当前的困难及思考</div>
                    <div className='titleContent'>{knjsk}</div>
                  <div className='title'>附件</div>
                    <div className='titleContent'>{fj}</div>
                  
                </div>

                <div className='liuYan'>
                  <div className='title'>留言</div>
                  {lyList.map((value,index)=>{
                    if(index>=5&&this.state.showMoreData1||index>=0&&index<=4){
                       return <div style={{display:'flex',margin:'0 auto',width:'94%',marginBottom:20}}>
                          <div>
                            <div><img src={value.img}/></div>
                          </div>
                          <div style={{marginLeft:10}}>
                          <div style={{display:'flex',color:'rgba(138, 138, 138, 1)',fontSize:13,lineHeight:'21px'}}>
                              <div>{value.str1}</div>
                              <div style={{marginLeft:15}}>{value.str2}-{value.str3}</div>
                              <div style={{position:'absolute',right:20}}>{value.mainTable.lysj}</div>
                          </div>
                          <div style={{color:'rgba(108, 108, 108, 1)',fontSize:14,lineHeight:'21px'}}>{value.mainTable.lynr}</div>
                          </div>
                        </div>
                    }
                  })}
                  {lyList.length>3&&!this.state.showMoreData1&&<div style={{color:'rgba(151, 151, 151, 1)',fontSize:15,margin:'0 auto',width:'94%'}} onClick={this.showMoreData}>
                    查看全部{lyList.length}条评论
                  </div>}
                  {lyList.length>3&&this.state.showMoreData1&&<div style={{color:'rgba(151, 151, 151, 1)',fontSize:15,margin:'0 auto',width:'94%'}} onClick={this.hideMoreData}>
                    收起评论
                  </div>}
                </div>

                <div className='publish'>
                 <div  style={{display:'flex',margin:'0 auto',width:'94%',alignItems:'center'}}>
                    <div><img src='${appRes}/liuyanPng.png'/></div>
                    <div className='send'>
                      <input />
                      <div style={{color: "rgba(56, 117, 198, 1)",fontSize:16,margin:'0 18px'}}>发送</div>
                    </div>
                 </div>
                </div>
                <div style={{height:40}}></div>
              </div>}
              {mainList &&!mainList.length&&<div style={{display:'flex',justifyContent:'center'}}>
                <img src='${appRes}/noData.png' style={{width:283,height:283,marginTop:100}}/>
              </div>
              }
            </div>
          </div>
    )
  }
}

ecodeSDK.exp(TotOnline);



