const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,TextareaItem,Popover,Select,WingBlank,Upload} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;


const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@observer
class ProgressThisWeek extends React.Component {
  constructor(props) {
    super(props); 
    this.state={
      actionVisible:false,
      moonVisible:false,
      totContent:'',
      moonContent:'',
      value:'',
      options: [
                  {
                    key: '1',
                    showname: '1',
                  },
                  {
                    key: '2',
                    showname: '2',
                  },
                  {
                    key: '3',
                    showname: '3',
                  },
                ],
    } 
    this.handleClick = this.handleClick.bind(this)
    this.handleSave = this.handleSave.bind(this)
    
  }


  componentDidMount(){
    document.title = '本周进展'
  }
  actionHandleVisibleChange = (actionVisible) => {
    this.setState({
      actionVisible,
    });
  };
  moonHandleVisibleChange = (moonVisible) => {
    this.setState({
      moonVisible,
    });
  };
  
  handleClick(e){
    e.target.className = e.target.className=='iconChecked'?'iconUncheck':'iconChecked'
  }
  handleSave(){
    console.log(6666666)
  }
  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const {options} = this.state;
    return (
          <div key="dominoesRoutePage" className="dominoes-route-layout">
            <div className="dominoes-content-container">
              <div className='wrapper'>
                <div className='content'  style={{justifyContent: 'space-between'}}>
                    <div>成果</div>
                </div>
                <div>
                    <TextareaItem
                      rows={3}
                      onBlur={(val)=>{this.setState({totContent:val})}}
                    />
                </div>
                <div className='content'  style={{justifyContent: 'space-between'}}>
                    <div>下一步计划</div>
                </div>
                <div>
                    <TextareaItem
                      rows={3}
                      onBlur={(val)=>{this.setState({totContent:val})}}
                    />
                </div>
                <div className='content'>
                    <div>当前遇到的困难及思考</div>
                    <Popover mask
                        overlayClassName="dominoesName"
                        overlayStyle={{ color: 'currentColor' }}
                        visible={this.state.moonVisible}
                        overlay={[
                             (<div style={{backgroundColor:"rgb(255,253,195)",padding:10, color:"rgba(136, 136, 136, 1)"}}>
                            <div style={{margin:"10px 0"}}>建议：请明确列出在推倒当前骨牌的过程中遇到的</div>
                            <div>困难或障碍</div>
                            <div>，积极思考进行原因分析，填写至下方。如有必要，请与您的主管或经理回顾骨牌及关键动作。</div>
                          </div>),
                        ]}
                        align={{
                          overflow: { adjustY: 0, adjustX: 0 },
                          offset: [-10, 0],
                        }}
                        onVisibleChange={this.moonHandleVisibleChange}
                      >
                        <img src="${appRes}/question.png"/>
                    </Popover>
                </div>
                <div>
                    <TextareaItem
                      rows={3}
                      onBlur={(val)=>{this.setState({moonContent:val})}}
                    />
                </div>
                <div className='content'  style={{justifyContent: 'space-between'}}>
                    <div>点击上传附件</div>
                </div>
                <div>
                    <div style={{minHeight:30,border:'1px solid rgb(187, 187, 187)'}}>
                       <WingBlank size="lg">文件上传</WingBlank>
                       <WingBlank size="lg">
                          
                      </WingBlank>
                    </div>
                </div>
               </div> 

              <div className='save'>
                <Button onClick={this.handleSave}>删除</Button>
                <Button onClick={this.handleSave}>保存</Button>
              </div>
            </div>
          </div>
    )
  }
}

ecodeSDK.exp(ProgressThisWeek);



