"use strict";

var runScript = function runScript(fieldId) {
  //返回自定义渲染的组件
  var acParams = {
    appId: '${appId}',
    name: 'ContractApprovePage',
    //具体页面应用id
    isPage: false,
    //是否是路由页面
    noCss: false //是否禁止单独加载css，通常为了减少css数量，css默认前置加载

  };
  var NewCom = ecodeSDK.getAsyncCom(acParams);
  WfForm.proxyFieldContentComp(fieldId.slice(5), function (info, compFn) {
    // 自定义渲染表单字段
    return NewCom;
  });
  WfForm.forceRenderField(fieldId); // 强制渲染字段
};

ecodeSDK.overwriteMobilePropsFnQueueMapSet('Upload', {
  fn: function fn(newProps) {
    var prefixCls = newProps.prefixCls;
    var _WeaverMobile = WeaverMobile,
        Icon = _WeaverMobile.Icon;
    var hash = window.location.hash;
    if (!hash.startsWith('#/req')) return; //判断页面地址

    if (!WfForm) return; //表单sdk加载完成

    var baseInfo = WfForm.getBaseInfo();
    var workflowid = baseInfo.workflowid;
    console.log(444444, baseInfo);
    if (workflowid !== 138) return; //判断流程id

    document.getElementsByClassName('wf-req-bottom')[0].style.display = 'none';

    if (ecodeSDK.checkLPath('spa/workflow/static4mobileform/index.html') && workflowid == 138) {
      var tabDatas = newProps.tabDatas;
      tabDatas = tabDatas.filter(function (item) {
        if (item && item.title !== "流程图" && item.title !== "流程状态") {
          return item;
        }
      });
      newProps.tabDatas = tabDatas;
    } // htspfxzd


    var field = WfForm.convertFieldNameToId("htspfxzd");
    runScript(field);
    return newProps;
  }
});
ecodeSDK.overwriteMobilePropsFnQueueMapSet('TabPage', {
  fn: function fn(newProps, name) {
    var hash = window.location.hash;
    if (!hash.startsWith('#/req')) return;
    if (!WfForm) return;
    if (!WfForm.getBaseInfo()) return;

    var _WfForm$getBaseInfo = WfForm.getBaseInfo(),
        workflowid = _WfForm$getBaseInfo.workflowid;

    if (workflowid !== 138) return; //判断流程id

    var tabDatas = newProps.tabs;
    tabDatas = tabDatas.filter(function (item) {
      if (item && item.title.props.children !== "流程表单" && item.title.props.children !== "流转意见" && item.title.props.children !== "相关交流") {
        return item;
      }
    });
    newProps.tabs = tabDatas;
    return newProps;
  }
});
ecodeSDK.overwriteMobileClassFnQueueMapSet('Tabs', {
  fn: function fn(Com, newProps) {
    var hash = window.location.hash;
    if (!hash.startsWith('#/req')) return;
    if (!WfForm) return;
    if (!WfForm.getBaseInfo()) return;

    var _WfForm$getBaseInfo2 = WfForm.getBaseInfo(),
        workflowid = _WfForm$getBaseInfo2.workflowid;

    if (workflowid !== 138) return; //判断流程id

    document.getElementsByClassName('wf-req-bottom')[0].style.display = 'none';
    document.getElementsByClassName('wf-req-signlist')[0].style.display = 'none';
    document.getElementsByClassName('wf-req-top')[0].style.display = 'none';
    document.getElementsByClassName('am-whitespace')[0].style.display = 'none';
    document.getElementsByClassName('am-whitespace-md')[0].style.display = 'none';
    document.getElementsByClassName('am-whitespace')[1].style.display = 'none';
    return {
      props: newProps
    };
  }
});