const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper,Steps,TextareaItem} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const Item = List.Item;
const Step = Steps.Step;
const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组
const API = ecodeSDK.imp(API);

@withRouter
@inject("contractApproveStore")
@observer
class ContractApprove extends React.Component {
  constructor(props) {
    super(props); 
    this.inputRef = React.createRef();
    this.state = {
      textareaValue:''
    }
    this.textArea = React.createRef();
    this.doUrge = this.doUrge.bind(this);
    
  }
  componentWillMount() { // 初始化渲染页面
    console.log('加载了',this.props)
  }

  componentDidMount(){
    document.title = '合同审批';
    const { contractApproveStore } = this.props;
    const {getContentList,getWorkflowRequest,wfstatusnew} = contractApproveStore;
    const baseInfo = WfForm.getBaseInfo();
    const kh =  WfForm.convertFieldNameToId("kh");
    const hzsjid =  WfForm.convertFieldNameToId("hzsjid");
    const khid = WfForm.getFieldValue(kh);
    const hzsjidB = WfForm.getFieldValue(hzsjid);
    console.log('WfForm',khid)
    contractApproveStore.init({khid,dataid:hzsjidB});
    const{workflowid,requestid} = baseInfo;
    const params = {
      requestid,
      workflowid
    }
    getContentList({...params,pageSize:100});
    getWorkflowRequest({requestId:requestid})
    wfstatusnew({requestid})
  }

  handleDoSaveContent = (data) =>{
    if(!this.state.textareaValue){
      Bubble.warning('请输入内容',  1);
      return;
    }
    const { contractApproveStore } = this.props;
    const {getContentList,doSaveContent} = contractApproveStore;
    const baseInfo = WfForm.getBaseInfo();
    const{workflowid,requestid} = baseInfo;
    const params = {
      requestid,
      workflowid
    }
    doSaveContent({...params,remark:`<p>${this.state.textareaValue}</p>`}).then((res)=>{
        console.log(999,res)
        const {result = false} = res;
        if(result){
            this.textArea.current.clearInput()
            getContentList(params)
            this.textArea.current.focus()
        }
    });
  }
  doSubmit(){
    WfForm.doRightBtnEvent("BTN_SUBMIT");  
  };
  doReject(){
    WfForm.doRightBtnEvent("BTN_REJECTNAME");  
  }
  doUrge(){
    const baseInfo = WfForm.getBaseInfo();
    const{requestid:requestids,f_weaver_belongto_userid} = baseInfo;
    const params = {
      requestids:requestids+'_'+f_weaver_belongto_userid,
      remark: ''
    }
    const { contractApproveStore } = this.props;
    API.doSupervise(params).then((res)=>{
      if(res.result){
      const {getWorkflowRequest} = contractApproveStore;
      getWorkflowRequest({requestId:requestids})
       Bubble.success('催办成功', 1);
      }else{
       Bubble.success('操作成功', 1);
      }
    })
  }


  render() {
    const { renderNoright, convertCurrency } = ecodeSDK.imp(util);
    const { contractApproveStore } = this.props;
    const { loading, hasRight,lookCondition,isExpand,cusInfo,pointData,rebateData,sfyjcfl,
    ecPolicyData1,ecPolicyData2,categoryData,internetPolicyData1,internetPolicyData2,commonClauseData,
    lookPolicyCondition,replyList,workflowRequestData,submitButtonName,currentNodeName,approveData} = contractApproveStore; // 从后台取数据 和 方法
    const allCategoryData = pointData.concat(categoryData)//提货政策
    const allRebateData = commonClauseData.concat(rebateData)//基础返利
    const {baseInfo = {},agentInfo={},protocol=[]} = cusInfo;
    const {khmc='',sf='',qy=''} = baseInfo;
    const baseInfoObj = WfForm.getBaseInfo();
    const {f_weaver_belongto_userid} = baseInfoObj;
    const creater = WfForm.getGlobalStore().commonParam.creater
    const {requestType} = WfForm.getGlobalStore().commonParam
    const {rsjsjcfstym='1',lxfjzhhlym='1',tyfltkjzczc='1',jnyymbhj='0',ssfl='',khlx=''} = agentInfo;
    const ecPolicyDataFirst = ecPolicyData1[0] || {};
    const netPolicyDataFirst = internetPolicyData1[0] || {};
    const workflowData =  Array.prototype.slice.call(workflowRequestData);
    const approveDataArr = Array.from(approveData)
    if(approveDataArr.length&&workflowData.length){
          approveDataArr.forEach((value)=>{
            [...workflowData].forEach((val)=>{
                if(value.nodeid == val.nodeId){
                  value.operatorName = val.operatorName;
                  value.operateDate = val.operateDate;
                  value.operateTime = val.operateTime;
                  value.operateType = val.operateType;
                }
            })
    })
    approveDataArr[approveDataArr.length-1]['operatorName'] = approveDataArr[approveDataArr.length-1].list[0].operator;
    approveDataArr[approveDataArr.length-1].operateDate = workflowData[0].operateDate;
    approveDataArr[approveDataArr.length-1].operateType = submitButtonName?submitButtonName:'待审批';
    workflowData.reverse();
    if(workflowData[workflowData.length-1].operateType!='拒绝'){
      workflowData.push(approveDataArr[approveDataArr.length-1])
    }
    }
    
    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (

          <div key="contractApprovePage" className="contractApprove-route-layout">
              <div className='wrapper'>
              <div className="customer-info-container">
                <div className="info-item">
                  <div className="item-label">客户名称：</div>
                  <div className="item-content item-content-bold">{khmc}</div>
                </div>

                <div className="info-item">
                  <div className="item-label">代理区域：</div>
                  <div className="item-content">
                    <span style={{marginRight:5}}>{sf}</span>
                    {qy}
                  </div>
                </div>

                <div className="info-item">
                  <div className="item-label">营业目标：</div>
                  <div className="item-content item-content-bold">
                    人民币 <span className="money">{convertCurrency(jnyymbhj)}</span> 万元
                  </div>
                </div>

                <div className="info-item">
                  <div className="item-label">客户类型：</div>
                  <div className="item-content" style={{fontWeight:700,fontSize:14}}>{ssfl}</div>
                </div>

              </div>
              </div>
              {
                rsjsjcfstym=='0'?
                <div className="section1">
                    <div>
                      <div className="title"><img src="/interface/aos/contract/image/icon.png" />提货政策</div>
                      <div className="points-container tb-container">
                      <div className="t-head">
                        <div className="t-column point-type">系列</div>
                        <div className="t-column point1">基础扣点</div>
                        <div className="t-column point2">专属折扣</div>
                        <div className="t-column point3">合计扣点</div>
                      </div>

                      <div className="t-body">
                        <ul>
                          {
                            allCategoryData.map((item,index)=>{
                              return (
                                <li className="point-item tb-item">
                                  <div className="t-column" >{item.xl||item.plmc}</div>
                                  <div className="t-column" >{item.jckd==undefined?'':`${item.jckd}%`}</div>
                                  <div className="t-column" >{item.zzzk==undefined?'':`${item.zzzk}%`}</div>
                                  <div className="t-column" >{item.hjkd==undefined?`${item.thzc}`:`${item.hjkd}%`}</div>
                                </li>
                              )
                            })
                          }
                        </ul>
                      </div>
                    </div>
                    <div className='remark'>
                      <div>*注：佳尼特及其他出厂价产品参见公司发布价格表。</div>
                    </div>
                  </div> 

                  <div>
                    <div className="title"><img src="/interface/aos/contract/image/icon.png" />基础返利</div>
                    <div className="rebate-container tb-container">
                      <div className="t-head">
                        <div className="t-column rebate-type">返利类型</div>
                        <div className="t-column rebate-rate">返利点位</div>
                        <div className="t-column rebate-condition">取得条件</div>
                      </div>

                      <div className="t-body">
                        <ul>
                          {
                            allRebateData.map((item,index)=>{
                              return (
                                item.fllx&&<li className="rebate-item tb-item">
                                  <div className="t-column">{item.fllx}</div>
                                  <div className="t-column">{item.fldw}%</div>
                                  <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                    <i className={item.isExpand?"up":"down"}/>
                                  </div>
                                  <div className={item.isExpand?"expand-info":"expand-info hide-info"} dangerouslySetInnerHTML={{
                                    __html: item.qdtj,
                                  }}>
                                  </div>
                                </li>
                              )
                            })
                          }
                        </ul>
                      </div>
                    </div>
                    {khlx!="9"&&khlx!="13"&&<div className='remark'>
                      <div>*注：</div>
                      <div>1、季返、年返适用于A.O.史密斯品牌除VAC以外的其他品类。</div>
                      <div> 2、现返、无退货返适用于双品牌全品类。</div>
                    </div>}
                  </div> 

                  <div>
                      <div className="title"><img src="/interface/aos/contract/image/icon.png" />销售支持政策</div>
                      <div className="policy-container tb-container">
                        <div className="t-head">
                          <div className="t-column policy-type">返利类型</div>
                          <div className="t-column policy-rate">返利点位</div>
                          <div className="t-column policy-category">适用品类</div>
                          <div className="t-column policy-condition">取得条件</div>
                        </div>

                        <div className="t-body">
                          <ul>
                            <li className="policy-item tb-item">
                              <div className="t-column" >{ecPolicyDataFirst.fllx}</div>
                              <div className="t-column" >{ecPolicyDataFirst.fldw}</div>
                              <div className="t-column" >{ecPolicyDataFirst.sypl}</div>
                              <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(ecPolicyDataFirst)}}>
                                <i className={ecPolicyDataFirst.isExpand?"up":"down"}/>
                              </div>
                              <div className={ecPolicyDataFirst.isExpand?"expand-info":"expand-info hide-info"}  dangerouslySetInnerHTML={{
                                    __html: ecPolicyDataFirst.qdtj,
                                  }}>
                              </div>
                            </li>

                            {
                              ecPolicyData2.map((item,index)=>{
                                return (
                                  item.fllx&&<li className="policy-item tb-item special-item">
                                    <div className="t-column"><span>{item.fllx}</span></div>
                                    <div style={{flexGrow:1.2}}></div>
                                    <div className="t-column">{item.fldw}</div>
                                    <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                    <i className={item.isExpand?"up":"down"}/>
                                    </div>
                                    <div className={item.isExpand?"expand-info":"expand-info hide-info"} dangerouslySetInnerHTML={{
                                    __html: item.qdtj,
                                  }}>
                                    </div>
                                  </li>
                                )
                              })
                            }

                          {
                            ecPolicyData1.map((item,index)=>{
                              if(index>0){
                                return (
                                  item.fllx&&<li className="policy-item tb-item">
                                    <div className="t-column" >{item.fllx}</div>
                                    <div className="t-column" >{item.fldw}</div>
                                    <div className="t-column" >{item.sypl}</div>
                                    <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                      <i className={item.isExpand?"up":"down"}/>
                                    </div>
                                    <div className={item.isExpand?"expand-info":"expand-info hide-info"} dangerouslySetInnerHTML={{
                                    __html: item.qdtj,
                                  }}>
                                    </div>
                                  </li>
                                )
                              }
                            })
                          }
                           {
                              internetPolicyData2.map((item,index)=>{
                                return (
                                  item.fllx&&<li className="policy-item tb-item special-item">
                                    <div className="t-column" >{item.fllx}</div>
                                    <div style={{flexGrow:1.2}}></div>
                                    <div className="t-column" >{item.fldw}</div>
                                    <div className="t-column opt-column" onClick={()=>{lookCondition(item)}}>
                                      <i className={item.isExpand?"up":"down"}/>
                                    </div>
                                    <div className={item.isExpand?"expand-info":"expand-info hide-info"} dangerouslySetInnerHTML={{
                                    __html: item.qdtj,
                                  }}>
                                    </div>
                                  </li>
                                )
                              })
                            }

                            {
                              internetPolicyData1.map((item,index)=>{
                                  return (
                                   item.fllx&& <li className="policy-item tb-item">
                                      <div className="t-column" >{item.fllx}</div>
                                      <div className="t-column" >{item.fldw}</div>
                                      <div className="t-column" >{item.sypl}</div>
                                      <div className="t-column opt-column" onClick={()=>{lookCondition(item)}}>
                                        <i className={item.isExpand?"up":"down"}/>
                                      </div>
                                      <div className={item.isExpand?"expand-info":"expand-info hide-info"} dangerouslySetInnerHTML={{
                                    __html: item.qdtj,
                                  }}>
                                      </div>
                                    </li>
                                  )
                              })
                            }
                          </ul>
                        </div>
                      </div>
                     {khlx!="9"&&khlx!="13"&&<div className='remark'>
                        <div>*注：</div>
                        <div>1、以上涉及提货金额以季度确认达成数据为准。</div>
                        <div>2、以上支持，如季度目标未达成但年度达成，可补发季度未达成部分的支持。</div>
                     </div>}
                  </div> 
              
                </div>
                :null
              }
              
             <div className='checkedBox tb-container'>
              {protocol.map(i => {return(
                   <div><input type='checkbox' name='checkbox' checked={i.value=='0'?'checked':''} /><span style={{verticalAlign:'middle',marginLeft:3}}>{i.label}</span></div>
                  )})}
             </div>
            <div>
             <div>
                <div className="title"><img src="/interface/aos/contract/image/icon.png" />审批流</div>
                <div className="sale-policy-container tb-container">
                  <Steps size="small" style={{marginTop:35,padding:'12px'}}  current = {workflowData.length-1} >
                    {workflowData.map((item,index)=>{
                        return (
                             <Step title={
                               <div style={{display:'flex',alignItems:'center'}}>
                                <div style={{display:'flex',width:70,flexDirection:'column',fontSize:'12px',textAlign:'right',fontWeight:400,transform:'scale(0.9)'}}>
                                  <span>{item.operateDate}</span>
                                  <span style={{color:'#9E9E9E'}}>{item.operateTime}</span>
                                </div>
                                <span style={{marginLeft:'20px'}}>{`${item.operatorName?`${item.nodeName||item.nodename}-${item.operatorName}`:`${item.nodeName||item.nodename}`}`}</span>
                                <span className='approveStatus' style={{color:(index>0 && index <workflowData.length-1) ||item.operateType=='拒绝'?'#00B682':index == workflowData.length-1?"#9E9E9E":'#333'}}>{item.operateType}</span>
                              </div>
                              }/>
                        )
                    })}
                  </Steps>
                </div>  
             </div>

              <div className="title" style={{display:'flex',position:'relative'}}>
               <img src="/interface/aos/contract/image/icon.png" />相关交流
               <Button type="primary" inline size="small" 
               style={{ marginRight: '4px',position:'absolute',right:0,background:'linear-gradient(to right, #1578FD, #409BFF)',borderRadius:'10px',display:'flex',alignItems:'center' }}
               onClick={this.handleDoSaveContent}><span style={{color:'#FFF'}}>提交</span></Button>
              </div>
              <div className="sale-policy-container tb-container" ref={this.inputRef}>
               <TextareaItem
                rows={4}
                onChange={(val)=>this.setState({textareaValue:val})}
                placeholder="请输入相关交流"
                ref={this.textArea}
              />
              </div>
              <div className="sale-policy-container tb-container">
              {replyList.map((item,index)=>{
                  return (
                    <div className='chatProcess'>
                      <div>
                      {item.createUserName}
                      </div>
                      <div dangerouslySetInnerHTML={{
                        __html: item.myRemark,
                      }}>
                      </div>
                       <div>
                      {item.showDate}
                      </div>
                    </div>
                  )
              })}
               
              </div>
             </div>
             {requestType=='1'&& workflowData.length&& workflowData[workflowData.length-1].operateType!='拒绝'&&<div className="nextstep">
                <Button className="nextstep-btn" type="primary" size="large" onClick={this.doSubmit}><span style={{color:"#FFF",fontSize:16}}>通过</span></Button>
                {submitButtonName=='批准'&&<Button className="nextstep-btn" type="primary" size="large" onClick={this.doReject}><span style={{color:"#FFF",fontSize:16}}>拒绝</span></Button>}
              </div>
              }
              {requestType=='0' && creater==f_weaver_belongto_userid && workflowData.length && workflowData[workflowData.length-1].operateType!='拒绝' && <div className="nextstep">
                {<Button className="nextstep-btn" type="primary" size="large" onClick={this.doUrge}><span style={{color:"#FFF",fontSize:16}}>催办</span></Button>}
              </div>
              }

          </div>

    )
  }
}

ecodeSDK.exp(ContractApprove);



