const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);

class ContractApproveStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable showValid = false;

  @observable isExpand = false;


  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable cusInfo = {};//供应商信息

  @observable pointData = [];//扣点数据

  @observable rebateData = [];//基础返利数据

  @observable ecPolicyData1 = [];//厨房生态销售支持政策数据（非固定）

  @observable ecPolicyData2 = [];//厨房生态销售支持政策数据（固定）

  @observable categoryData = [];//品类数据

  @observable internetPolicyData1 = [];//智慧互联销售支持政策数据

  @observable internetPolicyData2 = [];//智慧互联销售支持政策固定数据

  @observable commonClauseData = [];//通用返利数据

  @observable workflowRequestData = [];
  @observable approveData = [];

  @observable replyList = [];
  @observable sfyjcfl ='1'; //是否有基础返利
  @observable submitButtonName =''; //提交按钮名称
  @observable currentNodeName =''; 
  
  


  @action
  init = (params)=>{

    // getTakeEffectData(params).then(action(result => {
    //   console.log(444444,result,params)
    //   const{ dataid =''} = result;
    //获取客户数据
    API.getCustomerInfo(params).then(action(result => {
       this.cusInfo = result;
       if(result.agentInfo && result.agentInfo.rsjsjcfstym=="0"){
          API.getKitchenECData(params).then(action(result => {
            const {pointData,rebateData,policyData1,policyData2,sfyjcfl} = result
            this.pointData = pointData;
            this.rebateData = rebateData;
            this.ecPolicyData1 = policyData1;
            this.ecPolicyData2 = policyData2;
            this.sfyjcfl = sfyjcfl;
          }));
       }


       if(result.agentInfo && result.agentInfo.lxfjzhhlym=="0"){
          API.getSmartInternetData().then(action(result => {
            const {categoryData,policyData1,policyData2} = result
            this.categoryData = categoryData;
            this.internetPolicyData1 = policyData1;
            this.internetPolicyData2 = policyData2;
          }));
       }

       if(result.agentInfo && result.agentInfo.tyfltkjzczc=="0"){
          API.getCommonPolicyData(params).then(action(result => {
            this.commonClauseData = result;
          }));
       }
    }));
    // }))
    //判断客户类型获取
  }


  @action 
  doSubmit = () => {
    // API.doSubmit().then(action(result => {
    //   this.loading = false;
    //   this.hasRight = result.hasRight;  //判断是否有权限获取数据
    // }));
    //this.showValid = true;

    location.href="/spa/custom/static4mobile/index.html#/cs/app/452667deb49b4b1ba33b1d0f009974ea_ContractSignPage";
  }
  @action
  lookCondition = (item)=>{
    this.internetPolicyData1.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })

    this.internetPolicyData2.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
  }


  @action
  lookPolicyCondition = (item)=>{
    this.ecPolicyData1.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })

    this.ecPolicyData2.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
    this.commonClauseData.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
    
    this.rebateData.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
  }
 
  @action
  getContentList = (params)=>{
    API.getContentList(params).then(action(result => {
       const {replyList} = result
       this.replyList = replyList;
    }));
  }

  @action
  doSaveContent = (params)=>{
    return API.doSaveContent(params).then(action(result => {
      return result;
    }));
  }
  
  @action
  getWorkflowRequest = (params)=>{
     API.getWorkflowRequest(params).then(action(result => {
      this.submitButtonName = result.data.submitButtonName
      this.workflowRequestData = result.data.workflowRequestLogs
      this.currentNodeName = result.data.currentNodeName
    }));
  } 


  @action
  wfstatusnew = (params)=>{
     API.wfstatusnew(params).then(action(result => {
       const {datas} = result;
       const arr = Object.keys(datas)
       arr.sort((a,b)=>+a.slice(3,a.length)-(+b.slice(3,b.length)))
       const res = []
       arr.forEach((val)=>{
          res.push(datas[val])
       })
       this.approveData = res;
     }));
  } 
}

ecodeSDK.exp(ContractApproveStore);

