const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper,Drawer} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;
const CommitLetterStore = ecodeSDK.imp(CommitLetterStore);
const CommitLetterStoreData =new CommitLetterStore();
const API = ecodeSDK.imp(API);

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组
@withRouter
@observer
class CommitLetter extends React.Component {
  constructor(props) {
    super(props); 
    this.state={
      showValid:false,
      showValidSecond:false
      // showValid,doSubmit,closeValid,nextPage
    } 
    this.doSubmit = this.doSubmit.bind(this)
    this.closeValid = this.closeValid.bind(this)
  }
  
  componentDidMount(){
    CommitLetterStoreData.getContractText();
    CommitLetterStoreData.initData();
    document.title = '专营承诺书'
  }

  doSubmit(dataid){
    const checkDom = document.getElementById('agreeCheck');
    const checkedBox = document.getElementsByName('checkbox');
    const checkedArr = [];
    for(let i = 0; i < checkedBox.length;i++){
      if(checkedBox[i].checked){
      checkedArr.push(checkedBox[i].value)
      }
     }
    if(checkDom && checkDom.checked && !checkedArr.length ||this.state.showValidSecond && !checkedArr.length){
      this.setState({showValidSecond:true});
      return;
    }
    if(checkDom && checkDom.checked || this.state.showValid){
     const params = {
        zysf:"'"+checkedArr.join('/')+"'",
        agree:+!this.state.showValid,
        sfqdzycs:+this.state.showValid,
        dataid
      }
      API.updateContractSummary(params).then((res)=>{
        const{code = 0} = res;
        if(code == 200){
          location.href="/spa/custom/static4mobile/index.html#/cs/app/cba114b1399c4ee6b3821a3a2459ec4a_AgentAreaPage"+"?dataid="+dataid;
        }
      });
    }else{
    this.setState({showValid:true})
    }
  }
  closeValid(){
    this.setState({showValid:false,showValidSecond:false})
  }
  onOpenChange = (...args) => {
    this.setState({ showValid: false });
    this.setState({ showValidSecond: false });
  }



  render() {
    const {zycsStr,dataid} = CommitLetterStoreData;
    
    return (

        <RouteLayout commitletter-route-layout>
          <div style={{display:'flex',flexDirection:'column',height:'calc(100vh)'}} className="commitletter-route-layout">
            <div dangerouslySetInnerHTML={{ __html: zycsStr }} style={{flex:1,overflow:'auto'}}>
            </div>
            <div style={{textAlign:'center',marginBottom:'10px',display:!this.state.showValid && !this.state.showValidSecond?'inline':'none'}}>
              <input id='agreeCheck' type='checkbox' name='agreeCheck'/><span style={{color:'#2081FD'}}>我已认真阅读《专营承诺书》并同意声明中的所有条款</span>
            </div>
            <div  className={this.state.showValid?"valid-info-box":"valid-info-box valid-info-hide"}  >
              <i onClick={this.closeValid} className="close-icon"/>
              <div className="valid-info">
                <p> 您未签署专营承诺书，无法成为我司代理商。</p>
              </div>
            </div>
            <div  className={this.state.showValidSecond?"valid-info-box":"valid-info-box valid-info-hide"}  >
              <i onClick={this.closeValid} className="close-icon"/>
              <div className="valid-info">
                <p> 您未勾选您的身份，无法进入下一步，请勾选您的身份。</p>
              </div>
            </div>
          
            <div className="nextstep" style={{height:50}}>
              <Button className="nextstep-btn" type="primary" size="large" onClick={this.doSubmit.bind(this,dataid)}>下一步</Button>
            </div>
          {(this.state.showValid || this.state.showValidSecond) &&<Drawer
            className="my-drawer"
            style={{ minHeight: document.documentElement.clientHeight }}
            enableDragHandle
            contentStyle={{ color: '#A6A6A6', textAlign: 'center', paddingTop: 42 }}
            open={this.state.showValid||this.state.showValidSecond}
            onOpenChange={this.onOpenChange}
            position='bottom'
          >
          </Drawer>}
          </div>

        </RouteLayout>

    )
  }
}


ecodeSDK.setCom('${appId}','CommitLetterPage',CommitLetter);