const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;
const API = ecodeSDK.imp(API);
const { getUrlParam } = ecodeSDK.imp(util);

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@observer
class ContractSign extends React.Component {
  constructor(props) {
    super(props);  
    this.state = {
      dataid: getUrlParam('dataid'),
      isAgree: false,
      showValid: false,
      contractFile: {}
    };
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    document.title = '合同签署'
    //初始化查询合同文件信息
    this.init();  
  }


  init = ()=>{
    API.getContractFile({dataid:this.state.dataid}).then(result => {
      this.setState({contractFile:result})
    });
  }
  

  doSubmit = ()=>{
    const {isAgree} = this.state
    if(!isAgree){
      this.setState({showValid:true})
    }else{
      //同意签署的合同，触发合同审批流程，并跳转到已办页面
      API.createContractWf({dataid:this.state.dataid}).then(result => {
          if(result.code=="200"){
            window.location.href = "/spa/workflow/static4mobileform/index.html#/req?requestid="+result.requestId;
          }else{
            console.log("触发合同审批流程失败");
          }   
      })
    }
    
  
  }



  /**
   * 预览合同
   */
  preview = ()=>{

    const {imagefileid,imagefilename} = this.state.contractFile
    window.open("/spa/document/static4mobile/index.html#/attach/"+imagefileid)
  }

  /**
   * 下载合同
   */
  download = ()=>{
  
    const {imagefileid,imagefilename} = this.state.contractFile;
    window.open("/weaver/weaver.file.FileDownload?download=1&fileid="+imagefileid)
  }

  close = ()=>{
    const {showValid} = this.state
    this.setState({showValid:!showValid})
  }

  doNotAgree = ()=>{
    const {showValid} = this.state
    this.setState({isAgree:false,showValid:!showValid})
  }

  doAgree = ()=>{
    this.setState({isAgree:true,showValid:false})
    
  }

  nextStep = ()=>{

  }


  render() {
    const {isAgree,showValid} = this.state

    return (

        <RouteLayout>
          <div key="contractSignRoutePage" className="contractSign-route-layout2">

            <div className="content-box">
              <div className="title">
                您已完成2023年度零售合同签署
              </div>

              <div className="content-body">
                  <div className="content-body-pdf">
                    <div className="pdf-icon"></div>
                    <div className="tip">已生成PDF预览</div>
                  </div>
                  <div className="content-body-opt">
                    <Button  className="contract-opt-btn" type="primary" size="large" onClick={this.preview} >查看预览</Button>
                    <Button className="contract-opt-btn" type="primary" size="large" onClick={this.download} >下载</Button>
                  </div>
              </div>

            </div>

            {showValid && <div className="mask">

              <div  className={showValid?"valid-info-box":"valid-info-box valid-info-hide"}  >
                <i onClick={()=>{this.close()}} className="close-icon"/>
                <div className="tip--box">
                  <p className="tip-desc">为了更好地保障您的合法权益，请您确认已阅读<span>《零售合同》</span>并同意声明中的所有条款。</p>
                </div>
                <div className="isagree-btn-box">
                    <Button className="not-agree-btn" type="primary" onClick={this.doNotAgree} >不同意</Button>
                    <Button className="agree-btn" type="primary" onClick={this.doAgree} >同意</Button>
                </div>
              </div>
            </div>}

           
            <div className="nextstep">
              <AgreeItem  checked={isAgree} className="agree-check" onChange={e => {this.setState({isAgree:e.target.checked})}}>
                我已认真阅读《零售合同》并同意声明中的所有条款
              </AgreeItem>
              <Button className="nextstep-btn" type="primary" size="large" onClick={this.doSubmit} >确认，下一步</Button>
            </div>
          
          </div>
        </RouteLayout>

    )
  }
}


ecodeSDK.setCom('${appId}','ContractSignPage',ContractSign);