const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const Item = List.Item;

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("kitchenECStore")
@observer
class KitchenEC extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    document.title = '热水净水及厨房生态';
    const { kitchenECStore } = this.props;
    kitchenECStore.initData();
    kitchenECStore.getKitchenECData();
  }

  handleReset = () => { //重置方法

  }

  handleSubmit = () => { //提交表单内容并验证

  }


  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const { kitchenECStore } = this.props;
    const { loading, hasRight,doSubmit,lookCondition,pointData,rebateData,policyData1,policyData2,sfyjcfl,
    lookRebateCondition,lookPolicyCondition,agentInfo} = kitchenECStore; // 从后台取数据 和 方法
    const {khlx =''} = agentInfo
    const policyDataFirst = policyData1[0] || {};

    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (

        <RouteLayout>
          <div key="kitchenECRoutePage" className="kitchenEC-route-layout">
    
              <div>
                  <div className="title"><img src="/interface/aos/contract/image/icon.png" />产品扣点</div>
                  <div className="points-container tb-container">
                    <div className="t-head">
                      <div className="t-column point-type">系列</div>
                      <div className="t-column point1">基础扣点</div>
                      <div className="t-column point2">专属折扣</div>
                      <div className="t-column point3">合计扣点</div>
                    </div>

                    <div className="t-body">
                      <ul>
                        {
                          pointData.map((item,index)=>{
                            return (
                              <li className="point-item tb-item">
                                <div className="t-column" >{item.xl}</div>
                                <div className="t-column" >{item.jckd}%</div>
                                <div className="t-column" >{item.zzzk}%</div>
                                <div className="t-column" >{item.hjkd}%</div>
                              </li>
                            )
                          })
                        }
                      </ul>
                    </div>
                  </div>
                  <div className='remark'>
                      <div>*注：佳尼特及其他出厂价产品参见公司发布价格表。</div>
                    </div>
              </div> 

              {
                sfyjcfl == "0"?
                <div>
                  <div className="title"><img src="/interface/aos/contract/image/icon.png" />基础返利</div>
                  <div className="rebate-container tb-container">
                    <div className="t-head">
                      <div className="t-column rebate-type">返利类型</div>
                      <div className="t-column rebate-rate">返利点位</div>
                      <div className="t-column rebate-condition">取得条件</div>
                    </div>

                    <div className="t-body">
                      <ul>
                        {
                          rebateData.map((item,index)=>{
                            return (
                              item.fllx &&<li className="rebate-item tb-item">
                                <div className="t-column">{item.fllx}</div>
                                <div className="t-column">{item.fldw}%</div>
                                <div className="t-column opt-column" onClick={()=>{lookRebateCondition(item)}}>
                                  <i className={item.isExpand?"up":"down"}/>
                                </div>
                                <div className={item.isExpand?"expand-info":"expand-info hide-info"}  dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                </div>
                              </li>
                            )
                          })
                        }
                      </ul>
                    </div>
                  </div>
                  {khlx!="9"&&khlx!="13"&&<div className='remark'>
                      <div>*注：</div>
                      <div>1、季返、年返适用于A.O.史密斯品牌除VAC以外的其他品类。</div>
                      <div> 2、现返、无退货返适用于双品牌全品类。</div>
                    </div>}
                </div> 
                :
                null

              }
              
              

               <div>
                  <div className="title"><img src="/interface/aos/contract/image/icon.png" />销售支持政策</div>
                  <div className="policy-container tb-container">
                    <div className="t-head">
                      <div className="t-column policy-type">返利类型</div>
                      <div className="t-column policy-rate">返利点位</div>
                      <div className="t-column policy-category">适用品类</div>
                      <div className="t-column policy-condition">取得条件</div>
                    </div>

                    <div className="t-body">
                      <ul>

                        <li className="policy-item tb-item">
                          <div className="t-column" >{policyDataFirst.fllx}</div>
                          <div className="t-column" >{policyDataFirst.fldw}</div>
                          <div className="t-column" >{policyDataFirst.sypl}</div>
                          <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(policyDataFirst)}}>
                            <i className={policyDataFirst.isExpand?"up":"down"}/>
                          </div>
                          <div className={policyDataFirst.isExpand?"expand-info":"expand-info hide-info"}  dangerouslySetInnerHTML={{
                                    __html: policyDataFirst.qdtj
                                  }}>
                          </div>
                        </li>

                        {
                          policyData2.map((item,index)=>{
                      
                            return (
                              item.fllx &&<li className="policy-item tb-item special-item">
                                <div className="t-column"><span>{item.fllx}</span></div>
                                    <div style={{flexGrow:1}}></div>
                                <div className="t-column">{item.fldw}</div>
                                <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                <i className={item.isExpand?"up":"down"}/>
                                </div>
                                <div className={item.isExpand?"expand-info":"expand-info hide-info"}  dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                </div>
                              </li>
                            )
                          })
                        }

                        {
                          policyData1.map((item,index)=>{
                            if(index>0){
                              return (
                                item.fllx &&<li className="policy-item tb-item">
                                  <div className="t-column" >{item.fllx}</div>
                                  <div className="t-column" >{item.fldw}</div>
                                  <div className="t-column" >{item.sypl}</div>
                                  <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                    <i className={item.isExpand?"up":"down"}/>
                                  </div>
                                  <div className={item.isExpand?"expand-info":"expand-info hide-info"}   dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                  </div>
                                </li>
                              )
                            }
                          })
                        }
                      </ul>
                    </div>
                  </div>
                  {khlx!="9"&&khlx!="13"&&<div className='remark'>
                        <div>*注：</div>
                        <div>1、以上涉及提货金额以季度确认达成数据为准。</div>
                        <div>2、以上支持，如季度目标未达成但年度达成，可补发季度未达成部分的支持。</div>
                     </div>}
              </div> 

              <div className="nextstep">
                <Button className="nextstep-btn" type="primary" size="large" onClick={doSubmit} >下一步</Button>
              </div>
          </div>
        </RouteLayout>

    )
  }
}

ecodeSDK.exp(KitchenEC);



