const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);
const { getUrlParam } = ecodeSDK.imp(util);

class KitchenECStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable showValid = false;

  @observable pointData = [];//扣点数据

  @observable rebateData = [];//基础返利数据

  @observable policyData1 = [];//销售支持政策数据（非固定）

  @observable policyData2 = [];//销售支持政策数据（固定）

  @observable dataid =''; //汇总数据数据id

  @observable sfyjcfl ='1'; //是否有基础返利
  @observable agentInfo ={}; //客户信息


  @action 
  initData = () => {
    this.dataid = getUrlParam('dataid');
     API.getCustomerInfo().then(action(result => {
       const {agentInfo} = result
       this.agentInfo = agentInfo;
    }))
  }
  
  @action 
  doSubmit = () => {
    API.getCustomerInfo().then(action(result => {
       const {agentInfo} = result
       if(agentInfo && agentInfo.lxfjzhhlym=="0"){
         location.href="/spa/custom/static4mobile/index.html#/cs/app/f9d2b13030a743a092a00c13028ef11a_SmartInternetPage?dataid="+this.dataid;
       }else if(agentInfo && agentInfo.tyfltkjzczc=="0"){
         location.href="/spa/custom/static4mobile/index.html#/cs/app/f244501d95e84916b294900696971382_RebateClausePage?dataid="+this.dataid;
       }else{
         location.href="/spa/custom/static4mobile/index.html#/cs/app/a6184d9402f24ec7b53ad8f704e2eda1_MainContractPage?dataid="+this.dataid;
       }

    }));

    
  }



  @action
  lookRebateCondition = (item)=>{
    this.rebateData.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
  }

  @action
  lookPolicyCondition = (item)=>{
    this.policyData1.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })

    this.policyData2.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
  }

  @action
  getKitchenECData = ()=>{
    API.getKitchenECData({dataid:this.dataid}).then(action(result => {
       const {pointData,rebateData,policyData1,policyData2,sfyjcfl} = result
       this.pointData = pointData;
       this.rebateData = rebateData;
       this.policyData1 = policyData1;
       this.policyData2 = policyData2;
       this.sfyjcfl = sfyjcfl;
    }));
  }
 
}

ecodeSDK.exp(KitchenECStore);

