const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper,Drawer} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const Item = List.Item;

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("saleChannelStore")
@observer
class SaleChannel extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面
    const { saleChannelStore } = this.props;
    saleChannelStore.initData();
  }

  componentDidMount(){
    document.title = '操作渠道确认'
  }

  handleReset = () => { //重置方法

  }

  handleSubmit = () => { //提交表单内容并验证

  }


  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const { saleChannelStore } = this.props;
    const { loading, hasRight,ischeck,html,kaChecked,updateKALS,zjChecked,updateZJQD,jzChecked,updateJZZC,jxChecked,updateJXFS,showValid,doSubmit,closeValid,nextPage } = saleChannelStore; // 从后台取数据 和 方法

    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (

        <RouteLayout>
          <div key="saleChannelRoutePage" className="salechannel-route-layout">
              <div className="sale-channel-container">
                <div className="sale-channel-title">请选择贵公司的销售渠道</div>
                <i className="list-icon"/>

                <div className="sale-channel-item" style={{marginTop:35}}>
                  <CheckboxItem key="" className="sale-channel-checkbox"  checked={kaChecked} onChange={() => {updateKALS();}}>
                      当地核心连锁渠道
                  </CheckboxItem>
                </div>

                <div className="sale-channel-item">
                  <CheckboxItem key="" className="sale-channel-checkbox" checked={zjChecked} onChange={() => {updateZJQD();}}>
                      自建渠道
                  </CheckboxItem>
                </div>

                <div className="sale-channel-item">
                  <CheckboxItem key="" className="sale-channel-checkbox" checked={jzChecked} onChange={() => {updateJZZC();}}>
                      家装主材厅和设计师
                  </CheckboxItem>
                </div>

                <div className="sale-channel-item">
                  <CheckboxItem key="" className="sale-channel-checkbox" checked={jxChecked} onChange={() => {updateJXFS();}}>
                      经销分销
                  </CheckboxItem>
                </div>

              </div>

              <div  className={ischeck?"valid-info-box":"valid-info-box valid-info-hide"}  >
                <i onClick={closeValid} className="close-icon"/>
                <div className="valid-info" dangerouslySetInnerHTML={{ __html: html }} ></div>
                <div className="nextstep">
                  <Button className="nextstep-btn" type="primary" size="large" onClick={closeValid} >确定</Button>
                </div>
              </div>
             

              <div  className={showValid?"valid-info-box":"valid-info-box valid-info-hide"}  >
                <i onClick={closeValid} className="close-icon"/>
                <div className="valid-info" dangerouslySetInnerHTML={{ __html: html }} ></div>
                <div className="nextstep">
                  <Button className="nextstep-btn" type="primary" size="large" onClick={nextPage} >下一步</Button>
                </div>
              </div>

              <div className="nextstep">
                <Button className="nextstep-btn" type="primary" size="large" onClick={doSubmit} >下一步</Button>
              </div>
              {(showValid||ischeck) &&<Drawer
                className="my-drawer"
                style={{ minHeight: document.documentElement.clientHeight ,zIndex:10}}
                enableDragHandle
                contentStyle={{ color: '#A6A6A6', textAlign: 'center', paddingTop: 42 }}
                open={(showValid||ischeck)}
                onOpenChange={closeValid}
                position='bottom'
              >
              </Drawer>}
          </div>
        </RouteLayout>

    )
  }
}

ecodeSDK.exp(SaleChannel);



