const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const {Toast} = WeaverMobile;
const API = ecodeSDK.imp(API);

class SaleChannelStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable showValid = false;

  @observable ischeck = false;

  @observable isjsxnbsz = false;

  @observable html = '';

  //客户名称id
  @observable khmcid ='';
  //是否KA专营
  @observable xsqd = '';
  //汇总信息
  @observable sfjzka = '1';
  //汇总数据数据id
  @observable dataid ='';

  @observable kaChecked = false;

  @observable kaid = 5;

  @observable zjChecked = false;

  @observable zjid = 6;

  @observable jzChecked = false;

  @observable jzid = 7;

  @observable jxChecked = false;

  @observable jxid = 8;

  @action 
  updateKALS = () => {
    this.kaChecked = !this.kaChecked;
    this.showValid = false;
    if(this.kaChecked){
      this.sfjzka = '0'
    }else{
      this.sfjzka = '1'
    }
  }

  @action 
  initData = () => {
    this.showValid = false;
    this.khmcid = this.getUrl('khmcid');
    this.dataid = this.getUrl('dataid');
    this.isjsxnbsz = this.getUrl('isjsxnbsz');
    console.log("this.isjsxnbsz:"+this.isjsxnbsz);
  }

  getUrl(name) {
    var reg = new RegExp("(\\?|\&)" + name + "=([^&]*)(\&|$)", "i");
    var r = window.location.href.match(reg);
    if (r != null) return unescape(r[2]); return null;
  }

  @action 
  updateZJQD = () => {
    this.zjChecked = !this.zjChecked;
    this.showValid = false;
  }


  @action 
  updateJZZC = () => {
    this.jzChecked = !this.jzChecked;
    this.showValid = false;
  }



  @action 
  updateJXFS = () => {
    this.jxChecked = !this.jxChecked;
    this.showValid = false;
  }


  @action 
  doSubmit = () => {
    // API.doSubmit().then(action(result => {
    //   this.loading = false;
    //   this.hasRight = result.hasRight;  //判断是否有权限获取数据
    // }));
    this.html = '';
    if(this.kaChecked==false&&this.zjChecked==false&&this.jzChecked==false&&this.jxChecked==false){
       this.html  = "<p>请至少选择一个销售渠道。</p>";
       this.ischeck = true;
       return;
    }

    if(this.isjsxnbsz == '0'){
      this.showValid = true;
      if(this.sfjzka=='0'){
        this.html  = "<p style = 'color: black'>您选择进驻核心连锁渠道，享受代理商专属折扣。</p>";
      }else{
        this.html  = "<p>您未选择进驻核心连锁渠道，不享受代理商专属折扣。</p>";
      }
    }else{
      this.nextPage();
    }
  }

  @action
  closeValid = ()=>{
    this.showValid = false;
    this.ischeck = false;
  }

  

  @action
  nextPage = ()=>{

    let xsqd = '';

    if(this.kaChecked){
      xsqd = xsqd + "," + this.kaid;
    }

    if(this.zjChecked){
      xsqd = xsqd + "," + this.zjid;
    }

    if(this.jzChecked){
      xsqd = xsqd + "," + this.jzid;
    }

    if(this.jxChecked){
      xsqd = xsqd + "," + this.jxid;
    }

    if(xsqd!=''){
      xsqd = xsqd.slice(1,xsqd.length);
    }

    API.insertDistributionChannel({khmcid:this.khmcid,sfjzka:this.sfjzka,xsqd:xsqd,dataid:this.dataid}).then(action(result => {
      if(result.iszycns){ 
        location.href="/spa/custom/static4mobile/index.html#/cs/app/3f35a7a496cc40fb86f94060da954d3f_CommitLetterPage?khmcid="+this.khmcid+"&dataid="+this.dataid;
      }else{
        location.href="/spa/custom/static4mobile/index.html#/cs/app/cba114b1399c4ee6b3821a3a2459ec4a_AgentAreaPage?dataid="+this.dataid;
      }
    }));
    
    
  }
 
 
}

ecodeSDK.exp(SaleChannelStore);

