const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Tabs,Badge} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;


const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("totListStore")
@observer
class TotList extends React.Component {
  constructor(props) {
    super(props);  
    this.state = {
      currentValue:{},
      data:[
        {name:'通过金牌教练计划赋能通过金牌教练计划赋能',
        person:'陆峰',
        time:'2022-11-14'
        },
        {name:'通过金牌教练计划赋能通过金牌教练计划赋能',
        person:'陆峰1',
        time:'2022-11-14'
        },
         {name:'通过金牌教练计划赋能通过金牌教练计划赋能',
        person:'陆峰2',
        time:'2022-11-14'
        },
         {name:'通过金牌教练计划赋能通过金牌教练计划赋能',
        person:'陆峰3',
        time:'2022-11-14'
        },
         {name:'通过金牌教练计划赋能通过金牌教练计划赋能',
        person:'陆峰4',
        time:'2022-11-14'
        },
         {name:'通过金牌教练计划赋能通过金牌教练计划赋能',
        person:'陆峰5',
        time:'2022-11-14'
        },
        {name:'通过金牌教练计划赋能通过金牌教练计划赋能',
        person:'陆峰6',
        time:'2022-11-14'
        },
        {name:'通过金牌教练计划赋能通过金牌教练计划赋能',
        person:'陆峰7',
        time:'2022-11-14'
        },
      ]
    }
    this.handleClick = this.handleClick.bind(this)
  }


  componentDidMount(){
    document.title = 'TOT列表'
    const {totListStore } = this.props;
    totListStore.initData();

  }
  handleClick(e){
    e.target.className = e.target.className=='iconChecked'?'iconUncheck':'iconChecked'
  }

  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const { totListStore } = this.props;
    const { loading, hasRight,labelList=[]} = totListStore; // 从后台取数据 和 方法
    const {data,currentValue} = this.state;
    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (
          <div key="totListRoutePage" className="totList-route-layout">
            <div className="totList-content-container">
              <div className='search'>
                <input placeholder='输入TOT名称、关键词、负责人等'/>
                <div>搜索</div>
              </div>
               <div className='iconCheck'>
                {labelList.map((value)=><div className={value.bqsfqy=='1'?'iconChecked':'iconUncheck'} onClick={this.handleClick}>{value.bqmc}</div>)}
                </div>
              <div className='header'>
                <div>TOT名称</div>
                <div>负责人</div>
                <div>更新时间</div>
              </div>
              <div>
                {data.map((value)=>(
                  <div className='contentLi'>
                    <div>{value.name}</div>
                    <div>{value.person}</div>
                    <div>{value.time}</div>
                  </div>
                ))}
              </div>

            </div>
          </div>
    )
  }
}

ecodeSDK.exp(TotList);



