const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,TextareaItem,Popover} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;


const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("totEditStore")
@observer
class TotEdit extends React.Component {
  constructor(props) {
    super(props); 
    this.state={
      visible:false,
      moonVisible:false,
      totContent:'',
      moonContent:''
    } 
    this.handleClick = this.handleClick.bind(this)
    this.handleSave = this.handleSave.bind(this)
    this.dominoesAdd = this.dominoesAdd.bind(this)
    this.progressAdd = this.progressAdd.bind(this)
  }


  componentDidMount(){
    document.title = 'TOT编辑'
    const { totEditStore} = this.props;
    totEditStore.initData();
    totEditStore.getLabel();
  }
  handleVisibleChange = (visible) => {
    this.setState({
      visible,
    });
  };
  moonHandleVisibleChange = (moonVisible) => {
    this.setState({
      moonVisible,
    });
  };
  
  handleClick(e){
    e.target.className = e.target.className=='iconChecked'?'iconUncheck':'iconChecked'
  }
  handleSave(){
    console.log(6666666)
  }
  dominoesAdd(){
    location.href='/spa/custom/static4mobile/index.html#/cs/app/ce5b60bd17384eb7b26aeaafc5de663f_Dominoes'
  }

  progressAdd(){
    location.href='/spa/custom/static4mobile/index.html#/cs/app/25b2d68c989a497d88839032c704b64d_ProgressThisWeek'
  }
  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const { totEditStore } = this.props;
    const { loading, hasRight,labelList} = totEditStore; // 从后台取数据 和 方法

    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (
        <RouteLayout totInput-route-layout>
          <div key="totInputRoutePage" className="totInput-route-layout">
            <div className="totInput-content-container">
              <div className='wrapper'>
                <div className='content'>
                    <div>TOT</div>
                    <Popover mask
                        overlayClassName="totFortest"
                        overlayStyle={{ color: 'currentColor' }}
                        visible={this.state.visible}
                        overlay={[
                          (<div style={{backgroundColor:"rgb(255,253,195)",padding:10, color:"rgba(136, 136, 136, 1)"}}>
                            <div style={{fontWeight:500}}>关于TOT名称，建议您做以下考虑：</div>
                            <div style={{margin:"10px 0"}}>内容能准确表达将要做什么事情，要符合大而具体和关联业务</div>
                          </div>),
                        ]}
                        align={{
                          overflow: { adjustY: 0, adjustX: 0 },
                          offset: [-10, 0],
                        }}
                        onVisibleChange={this.handleVisibleChange}
                      >
                        <img src="${appRes}/question.png"/>
                      </Popover>
                    </div>
                  <div>
                    <TextareaItem
                      rows={3}
                      onBlur={(val)=>{this.setState({totContent:val})}}
                    />
                </div>
                <div className='content'>
                    <div>月亮</div>
                    <Popover mask
                        overlayClassName="moonFortest"
                        overlayStyle={{ color: 'currentColor' }}
                        visible={this.state.moonVisible}
                        overlay={[
                             (<div style={{backgroundColor:"rgb(255,253,195)",padding:10, color:"rgba(136, 136, 136, 1)"}}>
                            <div style={{fontWeight:500}}>关于成功景象，建议您做以下考虑：</div>
                            <div style={{margin:"10px 0"}}>做成之后对公司的帮助是什么，能体现在量化指标上</div>
                          </div>),
                        ]}
                        align={{
                          overflow: { adjustY: 0, adjustX: 0 },
                          offset: [-10, 0],
                        }}
                        onVisibleChange={this.moonHandleVisibleChange}
                      >
                        <img src="${appRes}/question.png"/>
                    </Popover>
                </div>
                <div>
                    <TextareaItem
                      rows={3}
                      onBlur={(val)=>{this.setState({moonContent:val})}}
                    />
                </div>
                <div className='content'>
                    <div>标签</div>
                </div>
                <div className='iconCheck'>
                 {labelList.map((value)=><div className={value.bqsfqy=='1'?'iconChecked':'iconUncheck'} onClick={this.handleClick}>{value.bqmc}</div>)}
                </div>
                <div className='content'>
                    <div>骨牌</div>
                    <img src="${appRes}/add.png"  onClick={this.dominoesAdd}/>
                </div>
                <div>

                </div>
               </div> 

              <div className='wrapper'  style={{marginTop:23}}>
                <div className='content'>
                    <div>周进展</div>
                    <img src="${appRes}/add.png" onClick={this.progressAdd}/>
                </div>
                <div>

                </div>
              </div>
              <div className='save'>
                <Button onClick={this.handleSave}>保存</Button>
              </div>
            </div>
          </div>
          </RouteLayout>
    )
  }
}

ecodeSDK.exp(TotEdit);



