const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper,Modal} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const Item = List.Item;

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("contractOverviewStore")
@observer
class ContractOverview extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    document.title = '合同信息概览';
    const { contractOverviewStore } = this.props;
    contractOverviewStore.init();
  }

  render() {
    const { renderNoright, convertCurrency } = ecodeSDK.imp(util);
    const { contractOverviewStore } = this.props;
    const { loading, hasRight,doSubmit,lookCondition,isExpand,cusInfo,pointData,rebateData,sfyjcfl,
    ecPolicyData1,ecPolicyData2,categoryData,internetPolicyData1,internetPolicyData2,commonClauseData,
    lookPolicyCondition,modal1,onClose} = contractOverviewStore; // 从后台取数据 和 方法
    const allCategoryData = pointData.concat(categoryData)//提货政策
    console.log(66666,rebateData,commonClauseData)
    const allRebateData = commonClauseData.concat(rebateData)//基础返利
    const {baseInfo={},agentInfo={}} = cusInfo;
    const {khmc='',sf='',qy=''} = baseInfo;
    const {ssfl='',lxmc='',rsjsjcfstym='1',lxfjzhhlym='1',tyfltkjzczc='1',jnyymbhj='0',khlx=''} = agentInfo;
    const ecPolicyDataFirst = ecPolicyData1[0] || {};
    const netPolicyDataFirst = internetPolicyData1[0] || {};
    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (

          <div key="contractOverviewPage" className="contractOverview-route-layout">
            <div className='wrapper'> 
              <div className="customer-info-container">
                <div className="info-item">
                  <div className="item-label">客户名称：</div>
                  <div className="item-content item-content-bold">{khmc}</div>
                </div>

                <div className="info-item">
                  <div className="item-label">代理区域：</div>
                 
                  <div className="item-content">
                   <span style={{marginRight:5}}>{sf}</span>
                    {qy}
                  </div>
                </div>

                <div className="info-item">
                  <div className="item-label">营业目标：</div>
                  <div className="item-content item-content-bold">
                    人民币 <span className="money">{convertCurrency(jnyymbhj)}</span> 万元
                  </div>
                </div>

                <div className="info-item">
                  <div className="item-label">客户类型：</div>
                  <div className="item-content" style={{fontWeight:700,fontSize:14}}>{ssfl}</div>
                </div>

              </div>
              </div>

              {
                rsjsjcfstym=='0'?
                <div className="section1">
                    <div>
                      <div className="title"><img src="/interface/aos/contract/image/icon.png" />提货政策</div>
                      <div className="points-container tb-container">
                      <div className="t-head">
                        <div className="t-column point-type">系列</div>
                        <div className="t-column point1">基础扣点</div>
                        <div className="t-column point2">专属折扣</div>
                        <div className="t-column point3">合计扣点</div>
                      </div>

                      <div className="t-body">
                        <ul>
                          {
                            allCategoryData.map((item,index)=>{
                              return (
                                <li className="point-item tb-item">
                                  <div className="t-column" >{item.xl||item.plmc}</div>
                                  <div className="t-column" >{item.jckd==undefined?'':`${item.jckd}%`}</div>
                                  <div className="t-column" >{item.zzzk==undefined?'':`${item.zzzk}%`}</div>
                                  <div className="t-column" >{item.hjkd==undefined?`${item.thzc}`:`${item.hjkd}%`}</div>
                                </li>
                              )
                            })
                          }
                        </ul>
                      </div>
                    </div>
                    <div className='remark'>
                      <div>*注：佳尼特及其他出厂价产品参见公司发布价格表。</div>
                    </div>
                  </div> 

                  <div>
                    <div className="title"><img src="/interface/aos/contract/image/icon.png" />基础返利</div>
                    <div className="rebate-container tb-container">
                      <div className="t-head">
                        <div className="t-column rebate-type">返利类型</div>
                        <div className="t-column rebate-rate">返利点位</div>
                        <div className="t-column rebate-condition">取得条件</div>
                      </div>

                      <div className="t-body">
                        <ul>
                          {
                            allRebateData.map((item,index)=>{
                              return (
                                item.fllx&&<li className="rebate-item tb-item">
                                  <div className="t-column">{item.fllx}</div>
                                  <div className="t-column">{item.fldw}%</div>
                                  <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                    <i className={item.isExpand?"up":"down"}/>
                                  </div>
                                  <div className={item.isExpand?"expand-info":"expand-info hide-info"}  dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                  </div>
                                </li>
                              )
                            })
                          }
                        </ul>
                      </div>
                    </div>
                    {khlx!="9"&&khlx!="13"&&<div className='remark'>
                      <div>*注：</div>
                      <div>1、季返、年返适用于A.O.史密斯品牌除VAC以外的其他品类。</div>
                      <div> 2、现返、无退货返适用于双品牌全品类。</div>
                    </div>}
                  </div> 
                  
                  

                  <div>
                      <div className="title"><img src="/interface/aos/contract/image/icon.png" />销售支持政策</div>
                      <div className="policy-container tb-container">
                        <div className="t-head">
                          <div className="t-column policy-type">返利类型</div>
                          <div className="t-column policy-rate">返利点位</div>
                          <div className="t-column policy-category">适用品类</div>
                          <div className="t-column policy-condition">取得条件</div>
                        </div>

                        <div className="t-body">
                          <ul>
                            <li className="policy-item tb-item">
                              <div className="t-column" >{ecPolicyDataFirst.fllx}</div>
                              <div className="t-column" >{ecPolicyDataFirst.fldw}</div>
                              <div className="t-column" >{ecPolicyDataFirst.sypl}</div>
                              <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(ecPolicyDataFirst)}}>
                                <i className={ecPolicyDataFirst.isExpand?"up":"down"}/>
                              </div>
                              <div className={ecPolicyDataFirst.isExpand?"expand-info":"expand-info hide-info"} dangerouslySetInnerHTML={{
                                    __html: ecPolicyDataFirst.qdtj
                                  }}>
                              </div>
                            </li>

                            {
                              ecPolicyData2.map((item,index)=>{
                                return (
                                  item.fllx &&<li className="policy-item tb-item special-item">
                                    <div className="t-column"><span>{item.fllx}</span></div>
                                    <div style={{flexGrow:1.2}}></div>
                                    <div className="t-column">{item.fldw}</div>
                                    <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                    <i className={item.isExpand?"up":"down"}/>
                                    </div>
                                    <div className={item.isExpand?"expand-info":"expand-info hide-info"}  dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                    </div>
                                  </li>
                                )
                              })
                            }

                          {
                            ecPolicyData1.map((item,index)=>{
                              if(index>0){
                                return (
                                 item.fllx && <li className="policy-item tb-item">
                                    <div className="t-column" >{item.fllx}</div>
                                    <div className="t-column" >{item.fldw}</div>
                                    <div className="t-column" >{item.sypl}</div>
                                    <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                      <i className={item.isExpand?"up":"down"}/>
                                    </div>
                                    <div className={item.isExpand?"expand-info":"expand-info hide-info"}  dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                    </div>
                                  </li>
                                )
                              }
                            })
                          }
                           {
                              internetPolicyData2.map((item,index)=>{
                                return (
                                  item.fllx &&<li className="policy-item tb-item special-item">
                                    <div className="t-column" >{item.fllx}</div>
                                    <div style={{flexGrow:1.2}}></div>
                                    <div className="t-column" >{item.fldw}</div>
                                    <div className="t-column opt-column" onClick={()=>{lookCondition(item)}}>
                                      <i className={item.isExpand?"up":"down"}/>
                                    </div>
                                    <div className={item.isExpand?"expand-info":"expand-info hide-info"}   dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                    </div>
                                  </li>
                                )
                              })
                            }

                            {
                              internetPolicyData1.map((item,index)=>{
                                  return (
                                    item.fllx &&<li className="policy-item tb-item">
                                      <div className="t-column" >{item.fllx}</div>
                                      <div className="t-column" >{item.fldw}</div>
                                      <div className="t-column" >{item.sypl}</div>
                                      <div className="t-column opt-column" onClick={()=>{lookCondition(item)}}>
                                        <i className={item.isExpand?"up":"down"}/>
                                      </div>
                                      <div className={item.isExpand?"expand-info":"expand-info hide-info"}   dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                      </div>
                                    </li>
                                  )
                              })
                            }
                          </ul>
                        </div>
                      </div>
                     {khlx!="9"&&khlx!="13"&&<div className='remark'>
                        <div>*注：</div>
                        <div>1、以上涉及提货金额以季度确认达成数据为准。</div>
                        <div>2、以上支持，如季度目标未达成但年度达成，可补发季度未达成部分的支持。</div>
                     </div>}
                  </div> 
              
                </div>
                :null
              }
               <Modal
                  visible={modal1}
                  transparent
                  maskClosable={false}
                  onClose={onClose}
                >
                  <div style={{ height: 100, display:'flex',justifyContent:'center',alignItems:'center'}}>
                    正在生成合同，请稍候...<br />
                  </div>
                </Modal>
              <div className="nextstep">
                <Button className="nextstep-btn" type="primary" size="large" onClick={doSubmit} >下一步</Button>
              </div>
          </div>


    )
  }
}

ecodeSDK.exp(ContractOverview);



