const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);
const { getUrlParam } = ecodeSDK.imp(util);

class ContractOverviewStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable cusInfo = {};//供应商信息

  @observable pointData = [];//扣点数据

  @observable rebateData = [];//基础返利数据

  @observable ecPolicyData1 = [];//厨房生态销售支持政策数据（非固定）

  @observable ecPolicyData2 = [];//厨房生态销售支持政策数据（固定）

  @observable internetPolicyData1 = [];//智慧互联销售支持政策数据

  @observable internetPolicyData2 = [];//智慧互联销售支持政策固定数据

  @observable categoryData = [];//品类数据

  @observable commonClauseData = [];//通用返利数据

  @observable dataid =''; //汇总数据数据id

  @observable sfyjcfl ='1'; //是否有基础返利

  @observable modal1 =false; //弹窗提示
  

  


  

  @action
  init = ()=>{
    this.dataid = getUrlParam('dataid');

    //获取客户数据
    API.getCustomerInfo({dataid:this.dataid}).then(action(result => {
       this.cusInfo = result;
       if(result.agentInfo && result.agentInfo.rsjsjcfstym=="0"){
          API.getKitchenECData({dataid:this.dataid}).then(action(result => {
            const {pointData,rebateData,policyData1,policyData2,sfyjcfl} = result
            this.pointData = pointData;
            this.rebateData = rebateData;
            this.ecPolicyData1 = policyData1;
            this.ecPolicyData2 = policyData2;
            this.sfyjcfl = sfyjcfl;
          }));
       }

       if(result.agentInfo && result.agentInfo.lxfjzhhlym=="0"){
          API.getSmartInternetData().then(action(result => {
            const {categoryData,policyData1,policyData2} = result
            this.categoryData = categoryData;
            this.internetPolicyData1 = policyData1;
            this.internetPolicyData2 = policyData2;
          }));
       }


       if(result.agentInfo && result.agentInfo.tyfltkjzczc=="0"){
          API.getCommonPolicyData().then(action(result => {
            this.commonClauseData = result;
          }));
       }


    }));
    
  }
  @action 
  onClose = (key) => {
    this.modal1 = key;
  }

  @action 
  doSubmit = () => {
    this.onClose(true)
    const {kh} = this.cusInfo.baseInfo
    const dataid = this.dataid
    API.generateContractFile({kh,dataid}).then(action(result => {
      this.onClose(false)
      location.href="/spa/custom/static4mobile/index.html#/cs/app/452667deb49b4b1ba33b1d0f009974ea_ContractSignPage?dataid="+this.dataid;
    }));
    
  }

  

  @action
  lookCondition = (item)=>{
    this.internetPolicyData1.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })

    this.internetPolicyData2.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
  }


  @action
  lookPolicyCondition = (item)=>{
    this.ecPolicyData1.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })

    this.ecPolicyData2.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
    this.commonClauseData.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
    
    this.rebateData.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
  }
 
}

ecodeSDK.exp(ContractOverviewStore);

