const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;


const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("agentAreaStore")
@observer
class AgentArea extends React.Component {
  constructor(props) {
    super(props);  
  }


  componentDidMount(){
    document.title = '代理区域操作模式'
    document.body.style.background = " url(/interface/aos/contract/image/agentbk.png) no-repeat";
    document.body.style.backgroundSize = "100% 100%";

    const { agentAreaStore } = this.props;
    agentAreaStore.initData();
    agentAreaStore.getCustomerInfo();
    agentAreaStore.getAgentType();

  }


  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const { agentAreaStore } = this.props;
    const { loading, hasRight,showValid,doSubmit,closeValid,nextPage,cusInfo,agentType} = agentAreaStore; // 从后台取数据 和 方法

    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (

  
          <div key="agentAreaRoutePage" className="agentarea-route-layout">
            <div className="agent-content-container">
              <div className="agent-type-box">
                <div className="title-desc">根据您选择的销售场景及操作渠道，认定您为：</div>

                <div className="agent-type-item-box">
                  {
                    agentType.map((item,index)=>{
                      return(
                        <div className={cusInfo.agentInfo && cusInfo.agentInfo.ssfl==item?"agent-type-item item-active":"agent-type-item"}>
                          {item}
                        </div>
                      )
                    })

                  }

                </div>
              </div>

              <div className="agent-area-box">
                <div className="title-desc">您申请代理的城市（区域）为：</div>

                <div className="agent-area-info">
                    {cusInfo.baseInfo && cusInfo.baseInfo.sf&&<div style={{color:'#333',fontWeight:700}}>
                     {cusInfo.baseInfo && cusInfo.baseInfo.sf}:
                    </div>}
                    <div style={{marginTop:'10px',lineHeight:'21px'}}>
                    {cusInfo.baseInfo && cusInfo.baseInfo.qy}
                    </div>
                </div>
              </div>
            </div>  


            <div className="opt-container">
              <div  className={showValid?"valid-info-box":"valid-info-box valid-info-hide"}  >
                <i onClick={closeValid} className="close-icon"/>
                <div className="valid-info">{cusInfo.baseInfo && cusInfo.baseInfo.dlqyts}</div>
                <div className="nextstep">
                  <Button className="nextstep-btn" type="primary" size="large" onClick={nextPage} >下一步</Button>
                </div>
              </div>

              <div className="nextstep">
                <Button className="nextstep-btn" type="primary" size="large" onClick={doSubmit} >下一步</Button>
              </div>
            </div>
             
          </div>


    )
  }
}

ecodeSDK.exp(AgentArea);



