const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);
const { getUrlParam } = ecodeSDK.imp(util);

class AgentAreaStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable showValid = false;

  @observable cusInfo = {};//供应商信息

  @observable agentType = [];//供应商分类信息

  @observable dataid =''; //汇总数据数据id


  @action 
  initData = () => {
    this.dataid = getUrlParam('dataid');
  }

  @action 
  doSubmit = () => {
    if(this.cusInfo.baseInfo && this.cusInfo.baseInfo.dlqyts){
      this.showValid = true;
    }else{
      this.nextPage();
    }
    
  }

  @action
  closeValid = ()=>{
    this.showValid = false;
  }

  @action
  nextPage = ()=>{
    if(this.cusInfo.agentInfo){
        const {rsjsjcfstym,lxfjzhhlym,tyfltkjzczc} = this.cusInfo.agentInfo
        if(rsjsjcfstym=="0"){
          location.href="/spa/custom/static4mobile/index.html#/cs/app/6057f60f040f4367870b9938e7c269f4_KitchenECPage?dataid="+this.dataid;
        }else if(lxfjzhhlym=="0"){
          location.href="/spa/custom/static4mobile/index.html#/cs/app/f9d2b13030a743a092a00c13028ef11a_SmartInternetPage?dataid="+this.dataid;
        }else{
          location.href="/spa/custom/static4mobile/index.html#/cs/app/f244501d95e84916b294900696971382_RebateClausePage?dataid="+this.dataid;
        }
    }else{
      location.href="/spa/custom/static4mobile/index.html#/cs/app/f244501d95e84916b294900696971382_RebateClausePage?dataid="+this.dataid;
    }
    
  }

  @action
  getCustomerInfo = ()=>{
    const dataid = this.dataid
    API.getCustomerInfo({dataid}).then(action(result => {
      this.cusInfo = result;
    }));
  }

  @action
  getAgentType = ()=>{
    API.getAgentType().then(action(result => {
      this.agentType = result;
    }));
  }

  
 
}

ecodeSDK.exp(AgentAreaStore);

