const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,TextareaItem,Popover,Select,DatePicker,ButtonSelect} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const AgreeItem = Checkbox.AgreeItem;
const Item = List.Item;


const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@observer
class Dominoes extends React.Component {
  constructor(props) {
    super(props); 
    this.state={
      actionVisible:false,
      moonVisible:false,
      totContent:'',
      moonContent:'',
      value:'',
      date:'',
      options: [
                  {
                    label: '1',
                    value: '1'
                  },
                  {
                    label: '2',
                    value: '2',
                  },
                  {
                    label: '3',
                    value: '3',
                  },
                ],
      statusOptions: [
                  {
                    key: '0',
                    showname: '未开始',
                  },
                  {
                    key: '1',
                    showname: '进行中',
                  },
                  {
                    key: '2',
                    showname: '已完成',
                  },
                ],          
    } 
    this.handleClick = this.handleClick.bind(this)
    this.handleSave = this.handleSave.bind(this)
    
  }


  componentDidMount(){
    document.title = '骨牌编辑'
  }
  actionHandleVisibleChange = (actionVisible) => {
    this.setState({
      actionVisible,
    });
  };
  moonHandleVisibleChange = (moonVisible) => {
    this.setState({
      moonVisible,
    });
  };
  
  handleClick(e){
    e.target.className = e.target.className=='iconChecked'?'iconUncheck':'iconChecked'
  }
  handleSave(){
    console.log(6666666)
  }
  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const {options,statusOptions} = this.state;
    return (
          <div key="dominoesRoutePage" className="dominoes-route-layout">
            <div className="dominoes-content-container">
              <div className='wrapper'>
                <div className='content'  style={{justifyContent: 'space-between'}}>
                    <div>骨牌序号</div>
                    <select style={{width:200,borderColor:'lightgray',borderRadius:5,color:'#999',height:30}}>
                      <option value ="1">1</option>
                      <option value ="2">2</option>
                      <option value ="3">3</option>
                    </select>
                </div>
                <div className='content'>
                    <div>骨牌名称</div>
                    <Popover mask
                        overlayClassName="dominoesName"
                        overlayStyle={{ color: 'currentColor' }}
                        visible={this.state.moonVisible}
                        overlay={[
                             (<div style={{backgroundColor:"rgb(255,253,195)",padding:10, color:"rgba(136, 136, 136, 1)"}}>
                            <div style={{fontWeight:500}}>关于骨牌序列，建议您做以下考虑：</div>
                            <div style={{margin:"10px 0"}}>1.从成功景象开始，思考实现过程中的障碍以及推倒这个障碍的标准或成果</div>
                            <div>2.不断寻找核心障碍（解决了它，其他事项会变得都不重要或更简单了）</div>
                          </div>),
                        ]}
                        align={{
                          overflow: { adjustY: 0, adjustX: 0 },
                          offset: [-10, 0],
                        }}
                        onVisibleChange={this.moonHandleVisibleChange}
                      >
                        <img src="${appRes}/question.png"/>
                    </Popover>
                </div>
                <div  style={{border:'1px solid lightgray',margin:'-20px 0 20px 0'}}>
                    <TextareaItem
                      rows={3}
                      placeholder='骨牌名称'
                      onBlur={(val)=>{this.setState({moonContent:val})}}
                    />
                </div>
                <div className='content'  style={{justifyContent: 'space-between'}}>
                    <div>预计完成时间</div>
                    <div  style={{width:200,border:'1px solid lightgray',borderRadius:5,color:'#999',height:30}}>
                        <DatePicker
                          mode="date"
                          title="Select Date"
                          extra=""
                          value={this.state.date}
                          onChange={date => this.setState({ date })}
                        >
                          <List.Item arrow="horizontal"></List.Item>
                        </DatePicker>
                    </div>
                   
                </div>

                <div className='content'  style={{justifyContent: 'space-between'}}>
                    <div>完成状态</div>
                    <select style={{width:200,borderColor:'lightgray',borderRadius:5,color:'#999',height:30}}>
                      <option value ="0">未完成</option>
                      <option value ="1">进行中</option>
                      <option value ="2">已完成</option>
                    </select>
                </div>
                <div className='content'>
                    <div>关键动作</div>
                    <Popover mask
                        overlayClassName="action"
                        overlayStyle={{ color: 'currentColor' }}
                        visible={this.state.actionVisible}
                        overlay={[
                             (<div style={{backgroundColor:"rgb(255,253,195)",padding:10, color:"rgba(136, 136, 136, 1)"}}>
                            <div style={{fontWeight:500}}>关于关键动作，建议您做以下考虑：</div>
                            <div style={{margin:"10px 0"}}>1.分别从可行性、延伸性、可能性出发思考您的关键行动</div>
                            <div>2.关键行动要有点石成金推倒障碍的放大效应</div>
                          </div>),
                        ]}
                        align={{
                          overflow: { adjustY: 0, adjustX: 0 },
                          offset: [-10, 0],
                        }}
                        onVisibleChange={this.actionHandleVisibleChange}
                      >
                        <img src="${appRes}/question.png"/>
                    </Popover>
                    
                </div>
                <div style={{border:'1px solid lightgray',margin:'-20px 0 20px 0'}}>
                    <TextareaItem
                      rows={3}
                      placeholder='关键动作'
                      onBlur={(val)=>{this.setState({moonContent:val})}}
                    />
                </div>
               </div> 
              <div className='save'>
                <Button onClick={this.handleSave}>保存</Button>
              </div>
            </div>
          </div>
    )
  }
}

ecodeSDK.exp(Dominoes);



