const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper,Drawer,Icon} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const Item = List.Item;

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("saleplanStore")
@observer
class Saleplan extends React.Component {
  constructor(props) {
    super(props); 

  }

  componentWillMount() { // 初始化渲染页面
  }

  componentDidMount(){
    document.title = '销售计划'
    const { saleplanStore } = this.props;
    saleplanStore.initData();

  }

  handleReset = () => { //重置方法
  }

  handleSubmit = () => { //提交表单内容并验证
  }

  checkAILink = (isAI) => { 
    //5、	选择AI-LiNK智慧集成系统时，下方出现壁挂炉和空调的字段，不选则不出现
    //10、	选择A时带出壁挂炉和空调的任务。 0 : 可以操作 1 ： 不允许操作
    //11、	选择A时则需要校验此客户是否可以选择此场景并进行提示并直接变灰，通过客户信息表判断，而该选没选的也要进行提示。

    const { saleplanStore } = this.props;
    
    if(isAI=='1'){
      //不允许操作AI-LiNK智慧集成系统
      saleplanStore.doNoAllowAI();
    }else if(isAI=='0'){
      //允许操作AI-LiNK智慧集成系统
      saleplanStore.doAllowAI();
    }

  }

  checkHLLink = () =>{
    const { saleplanStore } = this.props;
    saleplanStore.checkHLLink();
  }

  checkCJLink = () =>{
    const { saleplanStore } = this.props;
    saleplanStore.checkCJLink();
  }

  checkPTDP = () =>{
    const { saleplanStore } = this.props;
    saleplanStore.checkPTDP();
  }

  updateZhjcV = (v) => {
    const { saleplanStore } = this.props;
    saleplanStore.updateZhjcV(v);
  }

  updateZhhlV = (v) => {
    const { saleplanStore } = this.props;
    saleplanStore.updateZhhlV(v);
  }

  updateCjdpV = (v) => {
    const { saleplanStore } = this.props;
    saleplanStore.updateCjdpV(v);
  }

  updatePtdpV = (v) => {
    const { saleplanStore } = this.props;
    saleplanStore.updatePtdpV(v);
  }


  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const { saleplanStore } = this.props;
    const { loading, hasRight,yymbhj,zzl,error_html,success_html,nocheckAll,closNoCheckAll,isAI,aiDisabled,aiChecked,aiEditable,zhjc_v,ptChecked,ptEditable,ptdp_v,hlChecked,hlEditable,zhhl_v,cjChecked,cjEditable,cjdp_v,
    jyq_yymb,jyq_wnysmb,jyq_dxrw,jyq_bl,jyq_zzl,jyq_ck,
    jyd_yymb,jyd_wnysmb,jyd_dxrw,jyd_bl,jyd_zzl,jyd_ck,
    js_yymb,js_wnysmb,js_dxrw,js_bl,js_zzl,js_ck,
    yz_yymb,yz_wnysmb,yz_dxrw,yz_bl,yz_zzl,yz_ck,
    st_yymb,st_wnysmb,st_dxrw,st_bl,st_zzl,st_ck,
    bgl_yymb,bgl_wnysmb,bgl_dxrw,bgl_bl,bgl_zzl,bglRead,updateBGL_yymb,bgl_dxflag,closeBgldx,confirmBgldx,bgl_ck,checkBGL_yymb,
    kt_yymb,kt_wnysmb,kt_dxrw,kt_bl,kt_zzl,ktRead,updateKT_yymb,kt_dxflag,closeKtdx,confirmKtdx,kt_ck,checkKT_yymb,
    showValid,showNoAllowAI,doSubmit,checkHLLink,initData,updateYymbhj,closeValid,closNoAllowAI,nextPage,debounce,reduceBGL,addBGL,reduceKT,addKT,
    msgFlag,msghtml,showMsg,closeMsg,confirmMsg} = saleplanStore; // 从后台取数据 和 方法

    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (

          <div key="salePlanRoutePage" className="saleplan-route-layout">
          <div style={{width:'100%',position:'relative'}}>
              <div className="sale-scene-container">
                <div className="sale-scene-title">请预估以下场景的销售规模</div>
                <i className="list-icon"/>

                <div className="sale-scene-item">
                  <CheckboxItem key="" className="sale-scene-checkbox" checked={aiChecked} disabled={aiDisabled} onChange={() => {this.checkAILink(isAI);updateYymbhj();}}>
                      AI-LiNK智慧集成系统<span className="scene-desc">(指包含冷暖风水的全屋互联类销售)</span>
                  </CheckboxItem>

                  <InputItem type='number'className="sales-volume" editable={aiEditable} value={zhjc_v} onChange={(v)=>{console.log(44444,v,v.replace(/[^\d]/g, ''));this.updateZhjcV(v)}}></InputItem><span className="unit">万元</span>
              
                </div>

                <div className="sale-scene-item">
                  <CheckboxItem key="" className="sale-scene-checkbox" checked={hlChecked} onChange={() => {this.checkHLLink();updateYymbhj();}}>
                      AI-LiNK智慧互联套系<span className="scene-desc">(指包含厨房套系、新风套系、采暖套系等智慧互联类销售)</span>
                  </CheckboxItem>
                  <InputItem type="number" className="sales-volume" editable={hlEditable} value={zhhl_v} onChange={(v)=>this.updateZhhlV(v)} ></InputItem><span className="unit">万元</span>
                </div>

                <div className="sale-scene-item">
                  <CheckboxItem key="" className="sale-scene-checkbox" checked={cjChecked} onChange={() => {this.checkCJLink();updateYymbhj();}}>
                      AI-LiNK超级单品<span className="scene-desc">(指Ai版和Wi版单品销售)</span>
                  </CheckboxItem>
                  <InputItem type="number" className="sales-volume" editable={cjEditable} value={cjdp_v} onChange={(v)=>this.updateCjdpV(v)}></InputItem><span className="unit">万元</span>
                </div>

                <div className="sale-scene-item">
                  <CheckboxItem key="" className="sale-scene-checkbox" checked={ptChecked} onChange={() => {this.checkPTDP();updateYymbhj();}}>
                      普通单品销售
                  </CheckboxItem>
                  <InputItem type="number" className="sales-volume" editable={ptEditable} value={ptdp_v} onChange={(v)=>this.updatePtdpV(v)}></InputItem><span className="unit">万元</span>
                </div>

                <div className="sale-count">
                  <div><span className="count-type">营业目标合计:</span><span className="count-value">{yymbhj}<span className="unit">万元</span></span> </div>  
                  <div><span className="count-type">增长率:</span><span className="count-value">{zzl}%</span></div>
                </div>

              </div>
              </div>
              <div className="sale-detail"><img src="/interface/aos/contract/image/icon.png" />授权操作品类及销售任务</div>

              <div className="sale-type-task-container">
                <div className="t-head">
                  <div className="t-column type">品类</div>
                  <div className="t-column target">目标(万元)</div>
                  <div className="t-column rate">增长率</div>
                </div>

                <div className="t-body">
                  <ul>
                    
                    <li className="sale-type-item">
                      
                      <div className="t-column" ><CheckboxItem key="" className="sale-type-checkbox" disabled={true} checked={jyd_ck} >电系列</CheckboxItem></div>
                      <div className="t-column" >{jyd_yymb}</div>
                      <div className="t-column" >{jyd_zzl}%</div>
                    </li>
                    
                    <li className="sale-type-item">
                     
                      <div className="t-column" ><CheckboxItem key="" className="sale-type-checkbox" disabled={true} checked={jyq_ck} >气系列</CheckboxItem></div>
                      
                      <div className="t-column" >{jyq_yymb}</div>
                      <div className="t-column" >{jyq_zzl}%</div>
                    </li>
                    <li className="sale-type-item">
                      
                      <div className="t-column" ><CheckboxItem key="" className="sale-type-checkbox" disabled={true} checked={js_ck} >净水系列</CheckboxItem></div>
                      
                      <div className="t-column" >{js_yymb}</div>
                      <div className="t-column" >{js_zzl}%</div>
                    </li>
                    
                    <li className="sale-type-item">

                      <div className="t-column" ><CheckboxItem key="" className="sale-type-checkbox" disabled={true} checked={yz_ck} >厨电系列</CheckboxItem></div>
                      <div className="t-column" >{yz_yymb}</div>
                      <div className="t-column" >{yz_zzl}%</div>
                    </li>
                    
                    <li className="sale-type-item">

                      <div className="t-column" ><CheckboxItem key="" className="sale-type-checkbox" disabled={true} checked={st_ck} >生态系列</CheckboxItem></div>

                      <div className="t-column" >{st_yymb}</div>
                      <div className="t-column" >{st_zzl}%</div>
                    </li>
                    
                    <li className="sale-type-item">

                      <div className="t-column" ><CheckboxItem key="" className="sale-type-checkbox" disabled={true} checked={bgl_ck} >壁挂炉系列</CheckboxItem></div>

                      <div className="t-column-step">
                        <Icon type="minus" size='xxs'  onClick={(v)=>{reduceBGL()}}/>
                        <InputItem type="digit" className="sales-volume" editable={bglRead} value={bgl_yymb} onChange={(v)=>{updateBGL_yymb(v),checkBGL_yymb()}} ></InputItem>
                        <Icon type="plus"  size='xxs'  onClick={(v)=>{addBGL()}}/>
                      </div>
                      <div className="t-column" >{bgl_zzl}%</div>
                    </li>
                    <li className="sale-type-item">
                      <div className="t-column" ><CheckboxItem key="" className="sale-type-checkbox" disabled={true} checked={kt_ck} >空调系列</CheckboxItem></div>
                      <div className="t-column-step" >
                        <Icon type="minus" size='xxs' onClick={(v)=>{reduceKT()}}/>
                        <InputItem type="digit" className="sales-volume" editable={ktRead} value={kt_yymb} onChange={(v)=>{updateKT_yymb(v),checkKT_yymb()}} ></InputItem>
                        <Icon type="plus"  size='xxs' onClick={(v)=>{addKT()}}/>
                      </div>
                      <div className="t-column" >{kt_zzl}%</div>
                    </li>
                    
                  </ul>
                </div>
                <div className='remark'>
                        <div style={{display:'flex',alignItems:'center'}}>注：<CheckboxItem key="" className="sale-type-checkbox" disabled={true}><span  style={{fontSize:'12px',color:'#9E9E9E'}}>表示您没有被授权操作该品类</span></CheckboxItem></div>
                     </div>
              </div>

              <div  className={showValid?"valid-info-box":"valid-info-box valid-info-hide"}  >
                <i onClick={closeValid} className="close-icon"/>
                <div className="valid-info" dangerouslySetInnerHTML={{ __html: error_html }} ></div>
                <div className="nextstep">
                  <Button className="nextstep-btn" type="primary" size="large" onClick={nextPage} >下一步</Button>
                </div>
              </div>

              <div  className={msgFlag?"valid-info-box":"valid-info-box valid-info-hide"}  >
                <i onClick={closeMsg} className="close-icon"/>
                <div className="valid-info" dangerouslySetInnerHTML={{ __html: msghtml }} ></div>
                <div className="nextstep">
                  <Button className="nextstep-btn" type="primary" size="large" onClick={confirmMsg} >确定</Button>
                </div>
              </div>

              <div className="nextstep">
                <Button className="nextstep-btn" type="primary" size="large"  onClick={doSubmit} >下一步</Button>
              </div>
              {(showValid||msgFlag) &&<Drawer
                className="my-drawer"
                style={{ minHeight: document.documentElement.clientHeight+500}}
                enableDragHandle
                contentStyle={{ color: '#A6A6A6', textAlign: 'center', paddingTop: 42 }}
                open={(showValid||msgFlag)}
                onOpenChange={closeValid}
                position='bottom'
              >
              </Drawer>}

          </div>

    )
  }
}

ecodeSDK.exp(Saleplan);



