const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const { Toast } = WeaverMobile;
const API = ecodeSDK.imp(API);

//防抖的方法
const debounceOther = (func, wait) => {
  let timeout; 
  return function () {
    clearTimeout(timeout); 
    timeout = setTimeout(() => {
      func(arguments);
    }, wait); 
  };
};

class SaleplanStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面
  @observable showValid = false;
  @observable nocheckAll = false;
  @observable msgFlag = false;
  @observable msghtml = '';
  @observable step = 10;
  @observable isjsxnbsz = false; // 是否是经销商宁波

  @observable aiflag = false;

  @observable isreq = false;


  @observable success_html = '';
  @observable error_html = '';
  
  //AI-LINK智慧集成系统
  @observable showNoAllowAI = false;
  @observable aiDisabled = false;
  @observable aiChecked = false;
  @observable aiEditable = false;
  @observable aicjmc = '1';
  @observable zhjc_v = '';

  //AI-LINK智慧互联系统
  @observable hlChecked = false;
  @observable hlEditable = false;
  @observable hlcjmc = '2';
  @observable zhhl_v = '';

  //AI-LINK超级单品
  @observable cjChecked = false;
  @observable cjEditable = false;
  @observable cjdpmc = '3';
  @observable cjdp_v = '';

  //普通单品销售
  @observable ptChecked = false;
  @observable ptEditable = false;
  @observable ptdpmc = '4';
  @observable ptdp_v = '';
  
  

  @observable khbh = '';//客户编号
  @observable khmc = '';//客户名称
  @observable khmcid = '';//客户名称id


  @observable dbzzl = '';//达标增长率
  @observable kt_mbrw = 0;//空调目标任务
  @observable kt_dxrw = 0;//空调底线任务
  @observable bgl_mbrw = 0;//壁挂炉目标任务
  @observable bgl_dxrw = 0;//壁挂炉底线任务

  @observable isAI = '';//是否可以操作AI集成系统
  @observable wnkpje = '';//往年开票金额
  @observable pldata = [];//品类明细数据


  //家用气
  @observable jyq_id = 1;//check id
  @observable jyq_name = '气系列';//名称
  @observable jyq_wnysmb = '';//往年营收目标
  @observable jyq_dxrw = '';//底线任务
  @observable jyq_bl = '';//比例
  @observable jyq_zzl = '0';//增长率
  @observable jyq_htxswz = '√家用燃气系列（包含快速机、燃软一体、落地气炉系列）';//合同显示文本
  @observable jyq_ck = false;

  //家用电
  @observable jyd_id = 0;//check id
  @observable jyd_name = '电系列';//名称
  @observable jyd_wnysmb = '';//往年营收目标
  @observable jyd_bl = '';//比例
  @observable jyd_zzl = '0';//增长率
  @observable jyd_htxswz = '√家用电系列（包含电壁挂、HPW及落地电炉系列、新能源系列(包含热泵、轻商）、厨乐宝系列)';//合同显示文本
  @observable jyd_ck = false;

  //净水
  @observable js_id = 2;//check id
  @observable js_name = '净水系列';//名称
  @observable js_wnysmb = '';//往年营收目标
  @observable js_bl = '';//比例
  @observable js_zzl = '0';//增长率
  @observable js_htxswz = '√净水系列(包含末端净水、前置、中央软净水系列)';//合同显示文本
  @observable js_ck = false;

  //烟灶
  @observable yz_id = 3;//check id
  @observable yz_name = '厨电系列';//名称
  @observable yz_wnysmb = '';//往年营收目标
  @observable yz_bl = '';//比例
  @observable yz_zzl = '0';//增长率
  @observable yz_htxswz = '√厨电系列（包含烟机、灶具系列）';//合同显示文本
  @observable yz_ck = false;

  //生态
  @observable st_id = 4;//check id
  @observable st_name = '生态系列';//名称
  @observable st_wnysmb = '';//往年营收目标
  @observable st_bl = '';//比例
  @observable st_zzl = '0';//增长率
  @observable st_htxswz = '√生态类产品系列(包含空净、水暖毯、五金卫浴、松下新风空调系列)';//合同显示文本
  @observable st_ck = false;

  //壁挂炉
  @observable bgl_id = 5;//check id
  @observable bgl_name = '壁挂炉系列';//名称
  @observable bgl_wnysmb = '';//往年营收目标
  @observable bgl_bl = '';//比例
  @observable bgl_zzl = '0';//增长率
  @observable bglRead = false;
  @observable bgl_dxflag = false;//壁挂炉底线任务弹弹出提示 标识
  @observable bgl_htxswz = '壁挂炉系列（包含两用炉，系统炉及生活热水水箱）';//合同显示文本
  @observable bgl_ck = false;

  //空调
  @observable kt_name = '空调系列';//名称

  @observable kt_id = 6;//check id
  @observable kt_wnysmb = '';//往年营收目标
  @observable kt_bl = '';//比例
  @observable kt_zzl = '0';//增长率
  @observable ktRead = false;
  @observable kt_dxflag = false;//空调底线任务弹弹出提示 标识
  @observable kt_htxswz = '中央空调系列，中央新风系列，AI-LiNK智能件系列，主辅材';//合同显示文本
  @observable kt_ck = false;


  //汇总数据
  @observable yymbhj = 0;//营业目标合计
  @observable zzl = 0;//增长率
  @observable zclsfdb = '0';//增长率是否达标
  @observable sfydlszzzk = '0';//是否有代理商专属折扣
  
 

  //初始化数据
  @action 
  initData = () => {
    this.msgFlag = false;
    this.showValid = false;
    API.initSalesPlanning({}).then(action(result => {
      if(result.status=='1'){ 
        this.khbh = result.khbh;
        this.khmc = result.khmc;
        this.khmcid = result.khmcid;
        this.dbzzl = result.dbzzl;
        this.kt_mbrw = result.ktmbrw;
        this.kt_dxrw = result.ktdxrw;
        this.bgl_mbrw = result.bglmbrw;
        this.bgl_dxrw = result.bgldxrw;
        this.isAI = result.isAI;
        this.isjsxnbsz = result.isjsxnbsz;
        this.wnkpje = result.wnkpje;
        this.pldata = result.pldata;
        this.pldata.map((item)=>{
          //家用气
          if(item.plname==this.jyq_name){
            this.jyq_wnysmb = item.wnysmb;
        
            this.jyq_bl = item.plbl;
          }else if(item.plname==this.jyd_name){//家用电
            this.jyd_wnysmb = item.wnysmb;
      
            this.jyd_bl = item.plbl;
          }else if(item.plname==this.yz_name){//烟灶
            this.yz_wnysmb = item.wnysmb;
            
            this.yz_bl = item.plbl;
          }else if(item.plname==this.js_name){//净水
            this.js_wnysmb = item.wnysmb;
      
            this.js_bl = item.plbl;
          }else if(item.plname==this.st_name){//生态
            this.st_wnysmb = item.wnysmb;
        
            this.st_bl = item.plbl;
          }else if(item.plname==this.kt_name){//空调
            this.kt_wnysmb = item.wnysmb;
        
            this.kt_bl = item.plbl;
          }else if(item.plname==this.bgl_name){//壁挂炉
            this.bgl_wnysmb = item.wnysmb;
    
            this.bgl_bl = item.plbl;
          }
        });       
      }else {
        Toast.fail('接口调用失败！',3);
      }
    }));
    // this.khbh = 'KH202210220003';
    // this.khmc = '杭州中冠';
    // this.dbzzl = 15.00;
    // this.kt_mbrw = 100;
    // this.kt_dxrw = 80;
    
    // this.bgl_mbrw = 100;
    // this.bgl_dxrw = 60;
    // this.bgl_yymb = this.bgl_mbrw;
    // this.isAI = '0';
    // this.wnkpje = 1000;
    // this.pldata = [{plname:'家用电',wnysmb:200.00,plbl:20.00},
    //               {plname:'家用气',wnysmb:150.00,plbl:15.00},
    //               {plname:'净水',wnysmb:200.00,plbl:20.00},
    //               {plname:'烟灶',wnysmb:150.00,plbl:15.00},
    //               {plname:'生态',wnysmb:300.00,plbl:30.00},
    //               {plname:'壁挂炉',wnysmb:200.00,plbl:0.00},
    //               {plname:'空调',wnysmb:200.00,plbl:0.00}]
    // this.pldata.map((item)=>{
    //   //家用气
    //   if(item.plname==this.jyq_name){
    //     this.jyq_wnysmb = item.wnysmb;
     
    //     this.jyq_bl = item.plbl;
    //   }else if(item.plname==this.jyd_name){//家用电
    //     this.jyd_wnysmb = item.wnysmb;
   
    //     this.jyd_bl = item.plbl;
    //   }else if(item.plname==this.yz_name){//烟灶
    //     this.yz_wnysmb = item.wnysmb;
        
    //     this.yz_bl = item.plbl;
    //   }else if(item.plname==this.js_name){//净水
    //     this.js_wnysmb = item.wnysmb;
   
    //     this.js_bl = item.plbl;
    //   }else if(item.plname==this.st_name){//生态
    //     this.st_wnysmb = item.wnysmb;
    
    //     this.st_bl = item.plbl;
    //   }else if(item.plname==this.kt_name){//空调
    //     this.kt_wnysmb = item.wnysmb;
     
    //     this.kt_bl = item.plbl;
    //   }else if(item.plname==this.bgl_name){//壁挂炉
    //     this.bgl_wnysmb = item.wnysmb;
 
    //     this.bgl_bl = item.plbl;
    //   }
    // });
  }


  


  @action 
  doSubmit = () => {
    // API.doSubmit().then(action(result => {
    //   this.loading = false;
    //   this.hasRight = result.hasRight;  //判断是否有权限获取数据
    // }));
    this.error_html = "";
    this.success_html = "";

    
    
    if(!this.aiChecked&&!this.hlChecked&&!this.cjChecked&&!this.ptChecked){
      this.nocheckAll = true;
      this.showMsg();
      return;
    }

    

    if(this.kt_dxflag){
      this.error_html = this.error_html+ '<p>您的空调任务未达标准，不符合授权代理空调品类要求。</p>';
      this.msgFlag = false;
    }

    if(this.bgl_dxflag){
      this.error_html = this.error_html+ '<p>您的壁挂炉任务未达标准，不符合授权代理壁挂炉品类要求。</p>';
      this.msgFlag = false;
    }

    //判断AI-LiNK智慧集成系统  勾选后填写的任务，进行下一步时校验不可低于下方“空调及其他”品类任务  提示语：您的智慧集成系统营业目标需高于“空调及其他”品类任务
    if(this.aiChecked && Number(this.zhjc_v) < Number(this.kt_yymb)){
      this.aiflag = true;
      this.showMsg();
      return;
    }

    //判断必填
    if(this.aiChecked&&Number(this.zhjc_v)==0){
      this.isreq = true;
      this.showMsg();
      return;
    }

    if(this.hlChecked&&Number(this.zhhl_v)==0){
      this.isreq = true;
      this.showMsg();
      return;
    }

    if(this.cjChecked&&Number(this.cjdp_v)==0){
      this.isreq = true;
      this.showMsg();
      return;
    }

    if(this.ptChecked&&Number(this.ptdp_v)==0){
      this.isreq = true;
      this.showMsg();
      return;
    }

    
    //改选未选
    // if(this.isAI=='0'&&!this.aiChecked){
    //   this.error_html = this.error_html +"<p>您的区域属于智慧互联+冷暖风水市场，您未选择AI-LiNK智慧集成系统销售场景，将失去品牌独家代理权，请谨慎考虑。</p>";
    // }
    if(!this.isjsxnbsz){
      if(Number(this.zzl)<Number(this.dbzzl)){
        this.zclsfdb = '1';
        this.error_html = this.error_html +"<p>您的规模增长不达标准，不享受代理商专属折扣。</p>";
      }else{
        this.zclsfdb = '0';
        this.error_html = this.error_html +"<p style = 'color: black'>您的规模增长达标，享受代理商专属折扣。</p>";
      }
      this.showValid = true;
    }

    if(!this.showValid){
      this.nextPage();
    }

  }


  @action 
  doNoAllowAI = () => {
    this.showNoAllowAI = true;
    this.aiDisabled = true;
    this.aiChecked = false;
    this.showMsg();
  }

  @action 
  doAllowAI = () => {
    this.aiChecked = !this.aiChecked;
    this.aiEditable = !this.aiEditable;
    this.showValid = false;
    this.zhjc_v = '';
    if(this.aiChecked){
      this.kt_yymb = this.kt_mbrw;
      this.zhjc_v = this.kt_mbrw;
      this.bgl_yymb = this.bgl_mbrw;
      this.bglRead = true;
      this.ktRead = true;
    }else{
      this.ktRead = false;
      this.kt_yymb = '';
      this.updateYymbhj();
    }
  }

  
  @action 
  checkHLLink = () => {
    this.hlChecked = !this.hlChecked;
    this.hlEditable = !this.hlEditable;
    this.showValid = false;
    this.zhhl_v = '';
  }

  @action 
  checkCJLink = () => {
    this.cjChecked = !this.cjChecked;
    this.cjEditable = !this.cjEditable;
    this.showValid = false;
    this.cjdp_v = '';
  }

  @action 
  checkPTDP = () => {
    this.ptChecked = !this.ptChecked;
    this.ptEditable = !this.ptEditable;
    this.showValid = false;
    this.ptdp_v = '';
  }

  @action
  closNoAllowAI = ()=>{
    this.showNoAllowAI = false;
  }

  

  @action
  closeValid = ()=>{
    this.showValid = false;
    this.msgFlag = false;
  }

  @action
  updateZhjcV = (v)=>{
    this.zhjc_v = v;
    if(Number(v)>0){
      this.kt_yymb = this.kt_mbrw;
      this.bgl_yymb = this.bgl_mbrw;
      this.bglRead = true;
      this.ktRead = true;
    }else{
      this.ktRead = false;
      this.kt_yymb = '';
    }
    this.updateYymbhj();
  }

  @action
  updateZhhlV = (v)=>{
    this.zhhl_v = v;
    if(Number(v)>0){
      this.bgl_yymb = this.bgl_mbrw;
      this.bglRead = true;
      this.jyq_ck = true;
      this.jyd_ck = true;
      this.js_ck = true;
      this.yz_ck = true;
      this.st_ck = true;
      this.bgl_ck = true;
    }
    this.updateYymbhj();
  }

  @action
  updateCjdpV = (v)=>{
    this.cjdp_v = v;
    if(Number(v)>0){
      this.bgl_yymb = this.bgl_mbrw;
      this.bglRead = true;
      this.jyq_ck = true;
      this.jyd_ck = true;
      this.js_ck = true;
      this.yz_ck = true;
      this.st_ck = true;
      this.bgl_ck = true;
    }
    this.updateYymbhj();
  }

  @action
  updatePtdpV = (v)=>{
    this.ptdp_v = v;
    if(Number(v)>0){
      this.bgl_yymb = this.bgl_mbrw;
      this.bglRead = true;
      this.jyq_ck = true;
      this.jyd_ck = true;
      this.js_ck = true;
      this.yz_ck = true;
      this.st_ck = true;
      this.bgl_ck = true;
    }
    this.updateYymbhj();
  }

  @action
  updateKT_yymb = (v)=>{ 
    this.kt_yymb = v;
    this.updateYymbhj();
  }

  // @action
  // checkKT_yymb = ()=>{
  //   //判断空调目标金额是否小于底线任务
  //   if(Number(this.kt_yymb) < Number(this.kt_dxrw)){
  //     this.kt_dxflag = true;
  //     this.showMsg();
  //   }
  // }
  @action
  checkKT_yymb = debounceOther(() => {
     //判断空调目标金额是否小于底线任务
    if(Number(this.kt_yymb) < Number(this.kt_dxrw)){
      this.kt_dxflag = true;
      this.showMsg();
    }
  },2000)

  @action
  showMsg = ()=>{
    this.msghtml = '';
    if(this.kt_dxflag){
      this.msgFlag = true;
      this.msghtml = this.msghtml + '<p>您的空调任务未达标准，不符合授权代理空调品类要求。</p>';
    }

    if(this.bgl_dxflag){
      this.msgFlag = true;
      this.msghtml = this.msghtml + '<p>您的壁挂炉任务未达标准，不符合授权代理壁挂炉品类要求。</p>';
    }

    if(this.showNoAllowAI){
      this.msgFlag = true;
      this.msghtml = this.msghtml + '<p>贵公司现团队组织、渠道开发现状未达到该品类授权标准。</p>';
    }

    if(this.nocheckAll){
      this.msgFlag = true;
      this.msghtml = this.msghtml + '<p>请至少选择一个销售规模。</p>';
    }

    if(this.aiflag){
      this.msgFlag = true;
      this.msghtml = this.msghtml + '<p>您的智慧集成系统营业目标需高于“空调及其他”品类任务。</p>';
    }

    if(this.isreq){
      this.msgFlag = true;
      this.msghtml = this.msghtml + '<p>您未填写营业目标，无法进入下一步。</p>';
    }
    
    
  }


  @action
  closeMsg = ()=>{
    this.msgFlag = false;
    if(this.kt_dxflag){
      this.closeKtdx();
    }

    if(this.bgl_dxflag){
      this.closeBgldx();
    }

    if(this.showNoAllowAI){
      this.closNoAllowAI();
    }

    if(this.nocheckAll){
      this.closNoCheckAll();
    }

    if(this.aiflag){
      this.aiflag = false;
    }

    if(this.isreq){
      this.isreq = false;
    }


  }

  @action
  confirmMsg = ()=>{

    this.msgFlag = false;
    if(this.kt_dxflag){
      this.confirmKtdx();
    }

    if(this.bgl_dxflag){
      this.confirmBgldx();
    }

    if(this.showNoAllowAI){
      this.closNoAllowAI();
    }

    if(this.nocheckAll){
      this.closNoCheckAll();
    }

    if(this.aiflag){
      this.aiflag = false;
    }

  }

  @action
  closeKtdx = ()=>{
    this.kt_dxflag = false;
    this.kt_yymb = this.kt_dxrw;
    this.updateYymbhj();
  }

  @action
  closNoCheckAll =()=>{
    this.nocheckAll = false;
  }
  
  
  @action
  confirmKtdx = ()=>{
    this.kt_dxflag = false;
    this.kt_yymb = '';
    this.ktRead = false;
    this.doAllowAI();
    this.updateYymbhj();
  }
  

  @action
  updateBGL_yymb = (v)=>{
    this.bgl_yymb = v;
    this.updateYymbhj();
  }

  // @action
  // checkBGL_yymb = ()=>{ 
  //   //判断壁挂炉目标金额是否小于底线任务
  //   if(Number(this.bgl_yymb) < Number(this.bgl_dxrw)){
  //     this.bgl_dxflag = true;
  //     this.showMsg();
  //   }
  //   console.log("判断壁挂炉目标金额是否小于底线任务");
  // }

  @action
  checkBGL_yymb = debounceOther(() => {
    //判断壁挂炉目标金额是否小于底线任务
    if(Number(this.bgl_yymb) < Number(this.bgl_dxrw)){
      this.bgl_dxflag = true;
      this.showMsg();
    }
  },2000)

  @action
  reduceBGL = () =>{
    if(this.bgl_ck){
      var value = Number(this.bgl_yymb) - this.step;
      if(Number(value) < Number(this.bgl_dxrw)){
        this.bgl_dxflag = true;
        this.showMsg();
      }else{
        this.bgl_yymb = value;
        this.updateYymbhj();
      }
    }
  }

  @action
  addBGL = () =>{
    if(this.bglRead){
      var value = Number(this.bgl_yymb) + this.step;
      if(Number(value) < Number(this.bgl_dxrw)){
        this.bgl_yymb = this.bgl_dxrw;
      }else{
        this.bgl_yymb = value;
      }
      this.updateYymbhj();
      
    }
  }

  @action
  reduceKT = () =>{
    if(this.kt_ck){
      var value = Number(this.kt_yymb) - this.step;
      if(Number(value) < Number(this.kt_dxrw)){
        this.kt_dxflag = true;
        this.showMsg();
      }else{
        this.kt_yymb = value;
        this.updateYymbhj();
      }
    }
  }

  @action
  addKT = () =>{
    if(this.ktRead){
      var value = Number(this.kt_yymb) + this.step;
      if(Number(value)<Number(this.kt_dxrw)){
        this.kt_yymb = this.kt_dxrw;
      }else{
        this.kt_yymb = value;
      }
      this.updateYymbhj();
    }
  }


  

  @action
  closeBgldx = ()=>{
    this.bgl_dxflag = false;
    this.bgl_yymb = this.bgl_dxrw;
    this.updateYymbhj();
  }

  @action
  confirmBgldx = ()=>{
    this.bgl_dxflag = false;
    this.bgl_yymb = '';
    this.updateYymbhj();
  }

  @action
  updateYymbhj = ()=>{
  
    this.yymbhj =  Number(this.zhjc_v) + Number(this.zhhl_v) + Number(this.cjdp_v) + Number(this.ptdp_v);
    this.zzl =(((Number(this.yymbhj)-Number(this.wnkpje))/Number(this.wnkpje))*100).toFixed(1);
    if(Number(this.yymbhj)==0){
      this.zzl = 0;
      this.bglRead = false;
    }

    

    //计算各品类数据的营业目标和增长率
    if(Number(this.yymbhj) > 0){

      if(isNaN(this.kt_yymb)){
        this.kt_yymb = 0;
      }

      if(isNaN(this.bgl_yymb)){
        this.bgl_yymb = 0;
      }

    


      this.jyd_yymb = Math.round((Number(this.yymbhj)-Number(this.kt_yymb)-Number(this.bgl_yymb)) * ((this.jyd_bl)/100));
      this.jyd_zzl =(((Number(this.jyd_yymb)-Number(this.jyd_wnysmb))/Number(this.jyd_wnysmb))*100).toFixed(1);

      this.jyq_yymb = Math.round((Number(this.yymbhj)-Number(this.kt_yymb)-Number(this.bgl_yymb)) * ((this.jyq_bl)/100));
      this.jyq_zzl =(((Number(this.jyq_yymb)-Number(this.jyq_wnysmb))/Number(this.jyq_wnysmb))*100).toFixed(1);

      this.js_yymb = Math.round((Number(this.yymbhj)-Number(this.kt_yymb)-Number(this.bgl_yymb)) * ((this.js_bl)/100));
      this.js_zzl =(((Number(this.js_yymb)-Number(this.js_wnysmb))/Number(this.js_wnysmb))*100).toFixed(1);

      this.yz_yymb = Math.round((Number(this.yymbhj)-Number(this.kt_yymb)-Number(this.bgl_yymb)) * ((this.yz_bl)/100));
      this.yz_zzl =(((Number(this.yz_yymb)-Number(this.yz_wnysmb))/Number(this.yz_wnysmb))*100).toFixed(1);

      this.st_yymb = Math.round((Number(this.yymbhj)-Number(this.kt_yymb)-Number(this.bgl_yymb)) * ((this.st_bl)/100));
      this.st_zzl = (((Number(this.st_yymb)-Number(this.st_wnysmb))/Number(this.st_wnysmb))*100).toFixed(1);

      this.jyd_ck = true;
      this.jyq_ck = true;
      this.js_ck = true;
      this.yz_ck = true;
      this.st_ck = true;



      if(Number(this.kt_yymb) > 0){
        this.kt_zzl = (((Number(this.kt_yymb)-Number(this.kt_wnysmb))/Number(this.kt_wnysmb))*100).toFixed(1);
        this.kt_ck = true;
      }else{
        this.kt_zzl = 0;
        this.kt_ck = false;
      }
      
      if(Number(this.bgl_yymb)>0){
        this.bgl_ck = true;
        this.bgl_zzl = (((Number(this.bgl_yymb)-Number(this.bgl_wnysmb))/Number(this.bgl_wnysmb))*100).toFixed(1);
      }else{
        this.bgl_zzl = 0;
        this.bgl_ck = false;
      }
    }else{
      
      this.jyd_yymb = 0;
      this.jyd_zzl =0;

      this.jyq_yymb = 0;
      this.jyq_zzl =0;

      this.js_yymb = 0;
      this.js_zzl =0;

      this.yz_yymb = 0;
      this.yz_zzl =0;

      this.st_yymb = 0;
      this.st_zzl = 0;

      this.kt_yymb = '';
      this.kt_zzl = 0;

      this.bgl_yymb = '';
      this.bgl_zzl = 0;

      this.jyq_ck = false;
      this.jyd_ck = false;
      this.js_ck = false;
      this.yz_ck = false;
      this.st_ck = false;
      this.bgl_ck = false;
      this.kt_ck = false;
      
      
    }



  }

    isNaN = (n)=>{
      if (n !== n) {
      return true;
      } else {
      return false;
      }
    }

  

 


  
  @action
  nextPage = ()=>{
    //新增或更新数据
    let cjData = [];
    let plData = [];

    if(this.aiChecked){
      var cj = {cjmc:this.aicjmc,je:Number(this.zhjc_v)};
      cjData.push(cj);
    }

    if(this.hlChecked){
      var cj = {cjmc:this.hlcjmc,je:Number(this.zhhl_v)};
      cjData.push(cj);
    }

    if(this.cjChecked){
      var cj = {cjmc:this.cjdpmc,je:Number(this.cjdp_v)};
      cjData.push(cj);
    }

    if(this.ptChecked){
      var cj = {cjmc:this.ptdpmc,je:Number(this.ptdp_v)};
      cjData.push(cj);
    }

    var jsxnbsz = '0';
    if(this.isjsxnbsz){
      jsxnbsz = '1';
    }else{
      jsxnbsz = '0';
    }
    
    var jyqpl = {ischeck:true,plmc:this.jyq_id,jnyymb:this.jyq_yymb,zcl:this.jyq_zzl,htxswz:this.jyq_htxswz};
    var jydpl = {ischeck:true,plmc:this.jyd_id,jnyymb:this.jyd_yymb,zcl:this.jyd_zzl,htxswz:this.jyd_htxswz};
    var jspl = {ischeck:true,plmc:this.js_id,jnyymb:this.js_yymb,zcl:this.js_zzl,htxswz:this.js_htxswz};
    var yzpl = {ischeck:true,plmc:this.yz_id,jnyymb:this.yz_yymb,zcl:this.yz_zzl,htxswz:this.yz_htxswz};
    var stpl = {ischeck:true,plmc:this.st_id,jnyymb:this.st_yymb,zcl:this.st_zzl,htxswz:this.st_htxswz};

   

    if(this.jyd_ck){
      plData.push(jydpl);
    }

    if(this.jyq_ck){
      plData.push(jyqpl);
    }
    
    if(this.js_ck){
      plData.push(jspl);
    }

    if(this.yz_ck){
      plData.push(yzpl);
    }

    if(this.st_ck){
      plData.push(stpl);
    }

    if(this.bgl_ck){
      var bglpl = {ischeck:true,plmc:this.bgl_id,jnyymb:this.bgl_yymb,zcl:this.bgl_zzl,htxswz:"√"+this.bgl_htxswz};
      plData.push(bglpl);
    }else{
      var bglpl = {ischeck:false,plmc:this.bgl_id,jnyymb:this.bgl_yymb,zcl:this.bgl_zzl,htxswz:"□"+this.bgl_htxswz};
      plData.push(bglpl);
    }
 
    
    if(this.kt_ck){
      var ktpl = {ischeck:true,plmc:this.kt_id,jnyymb:this.kt_yymb,zcl:this.kt_zzl,htxswz:"√中央空调系列，√中央新风系列，√AI-LiNK智能件系列，√主辅材"};
      plData.push(ktpl);
    }else{
      var ktpl = {ischeck:false,plmc:this.kt_id,jnyymb:this.kt_yymb,zcl:this.kt_zzl,htxswz:"□中央空调系列，□中央新风系列，□AI-LiNK智能件系列，□主辅材"};
      plData.push(ktpl);
    }

  

    API.insertSalesPlanning({khmcid:this.khmcid,zclsfdb:this.zclsfdb,jnyymbhj:this.yymbhj,jnzcl:this.zzl,sfydlszzzk:this.sfydlszzzk,cjData:JSON.stringify(cjData),plData:JSON.stringify(plData)}).then(action(result => {
      
      if(result.flag){ 
        location.href="/spa/custom/static4mobile/index.html#/cs/app/633dde2ab6944d07ab79dfc83b8d233b_SaleChannelPage?khmcid="+this.khmcid+"&dataid="+result.dataid+"&isjsxnbsz="+jsxnbsz; 
      }else {
        Toast.fail('接口调用失败！',3);
      }
    }));
    
  }
 
}

ecodeSDK.exp(SaleplanStore);

