const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const Item = List.Item;

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("rebateClauseStore")
@observer
class RebateClause extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    document.title = '基础返利';

    const { rebateClauseStore } = this.props;
    rebateClauseStore.getCommonPolicyData();
    rebateClauseStore.initData();
  }

  handleReset = () => { //重置方法

  }

  handleSubmit = () => { //提交表单内容并验证

  }


  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const { rebateClauseStore } = this.props;
    const { loading, hasRight,doSubmit,lookCondition,data,agentInfo} = rebateClauseStore; 
    const {khlx =''} = agentInfo
    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (

        <RouteLayout>
          <div key="rebateClauseRoutePage" className="rebateClause-route-layout">
    
              <div>
                  <div className="rebate-container tb-container">
                    <div className="t-head">
                      <div className="t-column rebate-type">返利类型</div>
                      <div className="t-column rebate-rate">返利点位</div>
                      <div className="t-column rebate-condition">取得条件</div>
                    </div>

                    <div className="t-body">
                      <ul>
                        {
                          data.map((item,index)=>{
                            return (
                              <li className="rebate-item tb-item">
                                <div className="t-column">{item.fllx}</div>
                                <div className="t-column">{item.fldw}%</div>
                                <div className="t-column opt-column" onClick={()=>{lookCondition(item)}}>
                                  <i className={item.isExpand?"up":"down"}/>
                                </div>
                                <div className={item.isExpand?"expand-info":"expand-info hide-info"}    dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                </div>
                              </li>
                            )
                          })
                        }
                        
                      </ul>
                    </div>
                  </div>
                  {khlx!="9"&&khlx!="13"&&<div className='remark'>
                      <div>*注：</div>
                      <div>1、季返、年返适用于A.O.史密斯品牌除VAC以外的其他品类。</div>
                      <div>2、现返、无退货返适用于双品牌全品类。</div>
                    </div>}
              </div> 
              
              <div className="nextstep">
                <Button className="nextstep-btn" type="primary" size="large" onClick={doSubmit} >下一步</Button>
              </div>
          </div>
        </RouteLayout>

    )
  }
}

ecodeSDK.exp(RebateClause);



