const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);
const { getUrlParam } = ecodeSDK.imp(util);

class RebateClauseStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面

  @observable showValid = false;

  @observable data = [];

  @observable dataid =''; //汇总数据数据id

  @observable agentInfo ={}; //客户信息


  @action 
  initData = () => {
    this.dataid = getUrlParam('dataid');
      API.getCustomerInfo().then(action(result => {
        const {agentInfo} = result
        this.agentInfo = agentInfo;
      }));
  }

  @action 
  doSubmit = () => {
    location.href="/spa/custom/static4mobile/index.html#/cs/app/a6184d9402f24ec7b53ad8f704e2eda1_MainContractPage?dataid="+this.dataid;
  }



  @action
  lookCondition = (item)=>{
    this.data.map((curdata,index)=>{
        if(curdata.fllx==item.fllx) {
          curdata.isExpand = !curdata.isExpand;
          return curdata;
        }
    })
  }

  @action
  getCommonPolicyData = ()=>{
    API.getCommonPolicyData().then(action(result => {
       this.data = result;
    }));
  }

  
 
}

ecodeSDK.exp(RebateClauseStore);

