const { inject, observer } = mobxReact;
const { toJS } = mobx;
const { Button, Bubble,Checkbox ,InputItem,List,Stepper} = WeaverMobile;
const { Form, RouteLayout } = WeaverMobilePage;
const { withRouter } = ReactRouterDom;
const CheckboxItem = Checkbox.CheckboxItem;
const Item = List.Item;

const ButtonGroup = RouteLayout.ButtonGroup; //表单底部按钮组

@withRouter
@inject("smartInternetStore")
@observer
class SmartInternet extends React.Component {
  constructor(props) {
    super(props);  
  }
  componentWillMount() { // 初始化渲染页面

  }

  componentDidMount(){
    document.title = '冷暖新风';

    const { smartInternetStore } = this.props;
    smartInternetStore.getSmartInternetData();
    smartInternetStore.initData();
  }

  handleReset = () => { //重置方法

  }

  handleSubmit = () => { //提交表单内容并验证

  }


  render() {
    const { renderNoright, renderLoading } = ecodeSDK.imp(util);
    const { smartInternetStore } = this.props;
    const { loading, hasRight,doSubmit,lookPolicyCondition,categoryData,policyData1,policyData2,agentInfo} = smartInternetStore; // 从后台取数据 和 方法
    const {khlx =''} = agentInfo
    const policyDataFirst = policyData1[0] || {};

    if (!hasRight && !loading) { // 无权限处理
      return renderNoright();
    }

    return (

          <div key="smartInternetRoutePage" className="smartInternet-route-layout">
    
              <div>
                  <div className="title"><img src="/interface/aos/contract/image/icon.png" />提货政策</div>
                  <div className="stock-policy-container tb-container">
                    <div className="t-head">
                      <div className="t-column category">品类</div>
                      <div className="t-column policy">提货政策</div>
                    </div>

                    <div className="t-body">
                      <ul>
                        {
                          categoryData.map((item,index)=>{
                            return (
                              <li className="category-item tb-item">
                                <div className="t-column" >{item.plmc}</div>
                                <div className="t-column" >{item.thzc}</div>
                              </li>
                            )
                          })

                        }
                        
                      </ul>
                    </div>
                  </div>
                  {khlx!="9"&&khlx!="13"&&<div className='remark'>
                      <div>*注：出厂价产品参见公司发布价格表。</div>
                    </div>}
              </div> 

               {policyDataFirst.fllx&&<div>
                  <div className="title"><img src="/interface/aos/contract/image/icon.png" />销售支持政策</div>
                  <div className="policy-container tb-container">
                    <div className="t-head">
                      <div className="t-column policy-type">返利类型</div>
                      <div className="t-column policy-rate">返利点位</div>
                      <div className="t-column policy-category">适用品类</div>
                      <div className="t-column policy-condition">取得条件</div>
                    </div>

                    <div className="t-body">
                      <ul>

                        <li className="policy-item tb-item">
                          <div className="t-column" >{policyDataFirst.fllx}</div>
                          <div className="t-column" >{policyDataFirst.fldw}</div>
                          <div className="t-column" >{policyDataFirst.sypl}</div>
                          <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(policyDataFirst)}}>
                            <i className={policyDataFirst.isExpand?"up":"down"}/>
                          </div>
                          <div className={policyDataFirst.isExpand?"expand-info":"expand-info hide-info"}   dangerouslySetInnerHTML={{
                                    __html: policyDataFirst.qdtj
                                  }}>
                          </div>
                        </li>

                        {
                          policyData2.map((item,index)=>{
                      
                            return (
                              item.fllx && <li className="policy-item tb-item special-item">
                                <div className="t-column"><span>{item.fllx}</span></div>
                                    <div style={{flexGrow:1}}></div>
                                <div className="t-column">{item.fldw}</div>
                                <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                <i className={item.isExpand?"up":"down"}/>
                                </div>
                                <div className={item.isExpand?"expand-info":"expand-info hide-info"}   dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                </div>
                              </li>
                            )
                          })
                        }

                        {
                          policyData1.map((item,index)=>{
                            if(index>0 && item.fllx){
                              return (
                                item.fllx &&<li className="policy-item tb-item">
                                  <div className="t-column" >{item.fllx}</div>
                                  <div className="t-column" >{item.fldw}</div>
                                  <div className="t-column" >{item.sypl}</div>
                                  <div className="t-column opt-column" onClick={()=>{lookPolicyCondition(item)}}>
                                    <i className={item.isExpand?"up":"down"}/>
                                  </div>
                                  <div className={item.isExpand?"expand-info":"expand-info hide-info"}    dangerouslySetInnerHTML={{
                                    __html: item.qdtj
                                  }}>
                                  </div>
                                </li>
                              )
                            }
                          })
                        }
                      </ul>
                    </div>
                  </div>
                  {khlx!="9"&&khlx!="13"&&<div className='remark'>
                        <div>*注：VAC品类（V中央新风、AC中央空调、AI-LiNK智能件）</div>
                     </div>}
               </div>}

              <div className="nextstep">
                <Button className="nextstep-btn" type="primary" size="large" onClick={doSubmit} >下一步</Button>
              </div>
          </div>

    )
  }
}

ecodeSDK.exp(SmartInternet);



