const { observable, action, toJS } = mobx;
const { Form, RouteLayout } = WeaverMobilePage;
const API = ecodeSDK.imp(API);
const { getUrlParam } = ecodeSDK.imp(util);

class SmartInternetStore {

  @observable loading = true; // 页面初始化的loading状态：数据加载成功前后前使用
  @observable hasRight = true; // 判断用户是有权限查看当前页面


  @observable categoryData = [];//品类数据

  @observable policyData1 = [];//销售支持政策数据

  @observable policyData2 = [];//销售支持政策固定数据

  @observable dataid =''; //汇总数据数据id
  @observable agentInfo ={}; //客户信息

  
  @action 
  initData = () => {
    this.dataid = getUrlParam('dataid');
     API.getCustomerInfo().then(action(result => {
      const {agentInfo} = result
      this.agentInfo = agentInfo;
    }));
  }


  @action 
  doSubmit = () => {
      if( this.agentInfo &&  this.agentInfo.tyfltkjzczc=="0"){
        location.href="/spa/custom/static4mobile/index.html#/cs/app/f244501d95e84916b294900696971382_RebateClausePage?dataid="+this.dataid;
      }else{
        location.href="/spa/custom/static4mobile/index.html#/cs/app/ab04e00c03bd4b469447f01f0bcc0e63_ContractOverviewPage?dataid="+this.dataid;
      }
 
  }

  @action
  lookPolicyCondition = (item)=>{
    this.policyData1.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })

    this.policyData2.map((data,index)=>{
        if(data.fllx==item.fllx) {
          data.isExpand = !data.isExpand;
          return data;
        }
    })
  }

  @action
  getSmartInternetData = ()=>{
    API.getSmartInternetData().then(action(result => {
       const {categoryData,policyData1,policyData2} = result
       this.categoryData = categoryData;
       this.policyData1 = policyData1;
       this.policyData2 = policyData2;
    }));
  }
 
}

ecodeSDK.exp(SmartInternetStore);

